/**
 * Created by qi on 2016/4/8.
 */
define([ "" ], function() {
	/**
	 * 创建自定义弹窗，页面始终只能出现一个弹窗
	 * 
	 * @param text
	 *            {string} 要显示的内容，html格式的文本 flag:true:不自动消失,其他,自动消失
	 */
	function alertDialog(text, flag) {
		if ($$('.black-dialog').length) {
			$$('.black-dialog').html(text).show().css('opacity', 1);
		} else {
			var dialog = document.createElement('div');
			dialog.innerHTML = text;
			dialog.className = 'black-dialog';
			$$('.page-on-center').append(dialog);
			dialog.addEventListener('click', function() {
				this.style.display = "none";
			}, false);
		}
		if (flag != true) {
			setTimeout(function() {
				closeDialog();
			}, 2000);
		}
	}
	/**
	 * 关闭自定义弹窗
	 */
	function closeDialog() {
		if ($$('.black-dialog').length) {
			$$('.black-dialog').css('opacity', 0);
		}
	}
	return {
		alertDialog : alertDialog,
		closeDialog : closeDialog
	}
});
