define([ 'utils', 'http' ], function(Utils, Http) {
	// 删除的基金 产品号
	var fundDelSer = "";
	var orderDelSer = "";
	var ordernumerStr = "";
	// 仅需绑定一次的事件
	var onceBindings = [ {
		element : '.icon-delete',
		event : 'click',
		handler : recordDelSer
	}, {
		element : '.fundlist-edit',
		event : 'click',
		handler : fundSaveEdit
	}, {
        element : '.center-position .tab-link',
        event : 'click',
        handler : function(){
            if ($$(this).attr('href') === '#fund-save') {
                $$('.fundlist-edit').removeClass('hide');
            } else {
                $$('.fundlist-edit').addClass('hide');
            }
		}
    } , {
        element : '.save-list .del-btn',
        event : 'click',
        handler : function(){
            $$(this).parent().parent().remove();
        }
    } , {
        element : '.save-list .to-top',
        event : 'click',
        handler : function(){
            $$(this).parent().remove();
            var strBlock = $$(this).parent()[0].outerHTML;
            $$('.save-list ul')[0].insertAdjacentHTML('afterbegin', strBlock);
            $$('.fund-list3 .save-list').scrollTop(0, 200)
            // 由于删除组建后新增 需要重新加载绑定事件
            Utils.bindEvents(onceBindings);
        }
	}  ,
    {
        element: '.container-fluid',
        event: 'scroll',
        handler: stayPosition
    }];
    function stayPosition(con){
        var _this = null;
        con.target?_this = $$(this):_this=con;
        var scrollT = _this.scrollTop();
        var target = _this.find('.left_div1,.data_div1,.right_div1');
        target.hide();
        target.css('top',scrollT-1+'px');
        clearTimeout(timer);
        timer = null;
        timer = setTimeout(function(){target.show()},200);
    }
	// 自选基金编辑提交
	function fundSaveEdit() {
		if ("完成" == $$('.fundlist-edit').text()) {
			if (!fundDelSer == "") { // 删除
				Http.post("fund/deleteUserProduct.do", {
					'fundDelSer' : fundDelSer
				}).then(function(data) {
					App.hideIndicator();
					if (data.error_no == "0") {
						var orderDels = orderDelSer.split(";");
						for (var i = 0; i < orderDels.length - 1; i++) {
							ordernumerStr = ordernumerStr.replace(orderDels[i] + ";", "");
						} // 删除成功 将删除的产品排序序列删除
						updatefund(); // 判断是否需要修改
					}
					orderDelSer = "";
				}, function(msg) {
					App.hideIndicator();
					App.alert(msg)
					orderDelSer = "";
					mainView.reloadPage("../template-std/page/fund-list3.html");
				});
				fundDelSer = "";
			} else {// 只修改
				updatefund();
			}
		}
		if ($$('.container-save').hasClass('status-edit')) {
			$$('.fundlist-edit').text('管理');
			$$('.container-save').removeClass('status-edit');
			$$('.container-save').addClass('status-finish');
		} else {
			$$('.fundlist-edit').text('完成');
			$$('.container-save').addClass('status-edit');
			$$('.container-save').removeClass('status-finish');
		}
	}
	function updatefund() {
		// 如果不进删除 则直接过 如果进删除 等删除返回后继续惊进行
		var newfundnoStr = "";
		for (var i = 0; i < $$('.icon-delete').length; i++) {
			newfundnoStr = newfundnoStr + $$('.icon-delete')[i].dataset.ser_no + ";";
		}
		var newnumerStr = "";
		for (var i = 0; i < $$('.icon-zhiding').length; i++) {
			newnumerStr = newnumerStr + $$('.icon-zhiding')[i].dataset.ordernum + ";";
		}
		if (newnumerStr != ordernumerStr) { // 如果编辑后序列对不上 则更新
			Http.post("fund/updateUserProduct.do", {
				'newfundnoStr' : newfundnoStr,
				'ordernumerStr' : ordernumerStr
			}).then(function(data) {
				App.hideIndicator();
				if (data.error_no == "0") {
					for (var i = 0; i < $$('.icon-zhiding').length; i++) { // 更新完成
						// 更新dateset
						$$('.icon-zhiding')[i].dataset.ordernum = ordernumerStr.split(";")[i];
					}
				}
			}, function(msg) {
				App.hideIndicator();
				App.alert(msg)
				mainView.reloadPage("../template-std/page/fund-list3.html");
			});
		}
	}
	// 记录被删除的产品编号
	function recordDelSer() {
		orderDelSer = orderDelSer + $$(this).parent().parent().parent().find(".icon-zhiding").data("ordernum") + ";";
		fundDelSer = fundDelSer + $$(this).data("ser_no") + ";";
	}
	// 加载页面相应基金模块页面
	function render(params, contentList, contentId,cat_varieties,zqfalg) {
        timer = null;
		pagePadding(params, contentList, contentId);
		// 基金列表页 新发基金 列表加载
		if ("fund-new" == contentId) {
			if (params.resultList.length == 0) {
				$$('.no-data').removeClass('hide');
			}
		} else if ("fund-save" == contentId) { // 基金列表页 自选（收藏）基金 列表加载
			ordernumerStr = "";
			for (var i = 0; i < params.resultList.length; i++) {
				ordernumerStr = ordernumerStr + params.resultList[i].order_num + ";";
			}
			$$('.fundlist-edit').removeClass('hide');
		}

		// else {// 基金列表页 热销基金 列表加载
		// 	if(zqfalg == "xsdzq"){
         //        if(cat_varieties == 5){
         //            $$("#nav").addClass("hide");
         //            $$(".unit_net_value").addClass("hide");
         //            $$("#dayrate").addClass("hide");
         //            $$(".nav_ratio").addClass("hide");
         //            $$("#sevenrate").removeClass("hide");
         //            $$(".show_rate").removeClass("hide");
         //        }else{
         //            $$("#nav").removeClass("hide");
         //            $$(".unit_net_value").removeClass("hide");
         //            $$("#dayrate").removeClass("hide");
         //            $$(".nav_ratio").removeClass("hide");
         //            $$("#sevenrate").addClass("hide");
         //            $$(".show_rate").addClass("hide");
         //        }
		// 	}else{
         //        if(cat_varieties == 5|| cat_varieties == 12){
         //            $$("#unit_net_value").addClass("hide");
         //            $$(".unit_net_value").addClass("hide");
         //            $$("#dayrate").addClass("hide");
         //            $$(".dayrate").addClass("hide");
         //            $$("#weekrate").addClass("hide");
         //            $$(".weekrate").addClass("hide");
         //            $$("#income_unit").removeClass("hide");
         //            $$(".income_unit").removeClass("hide");
         //            $$("#sevenrate").removeClass("hide");
         //            $$(".sevenrate").removeClass("hide");
         //        }else{
         //            $$("#unit_net_value").removeClass("hide");
         //            $$(".unit_net_value").removeClass("hide");
         //            $$("#dayrate").removeClass("hide");
         //            $$(".dayrate").removeClass("hide");
         //            $$("#weekrate").removeClass("hide");
         //            $$(".weekrate").removeClass("hide");
         //            $$("#income_unit").addClass("hide");
         //            $$(".income_unit").addClass("hide");
         //            $$("#sevenrate").addClass("hide");
         //            $$(".sevenrate").addClass("hide");
         //        }
         //    }
			// fundHotStyle(contentId);
		// 加载绑定事件
		Utils.bindEvents(onceBindings);
	}
	function updateorder(params){
        for (var i = 0; i < params.resultList.length; i++) {
            ordernumerStr = ordernumerStr + params.resultList[i].order_num + ";";
        }
        // 加载绑定事件
        Utils.bindEvents(onceBindings);
	}
	return {
		render : render,
        updateorder : updateorder,
        setTable : setTable,
        stayPosition :stayPosition
	}
	// 基金列表页 页面填充
	function pagePadding(params, contentList, contentId) {
		if(contentList != "fund-hotList"){
            var template = $$("#" + contentList).html();
            var compiledTemplate = Template7.compile(template);
            console.log(params.resultList);
            var renderTemplate = compiledTemplate(params);
		}else{
            console.log(params.resultList);
            var template1 = $$("#fundListTemplate").html();
            var compiledTemplate1 = Template7.compile(template1);
            var left_table2 = compiledTemplate1(params);
		}

		if ("fund-save" == contentId) {
			$$("#savecontainer").html(renderTemplate);
			$$(".tips-content").remove();
		} else if ("fund-new" == contentId) {
			$$("#container-new").html(renderTemplate);
		} else {
            $$(".fund-list").html(left_table2);
        }
	}

	// 基金列表页 自发基金 编辑按钮，置顶等样式效果
	function fundSaveStyle() {

		// 在自选模块显示编辑按钮，其它模块隐藏
		$$('.center-position .tab-link').click(function() {
			if ($$(this).attr('href') === '#fund-save') {
				$$('.fundlist-edit').removeClass('hide');
			} else {
				$$('.fundlist-edit').addClass('hide');
			}
		});
		// 删除
		$$('.save-list').on('click', '.del-btn', function() {
			$$(this).parent().parent().remove();
		})
		// 置顶
		$$('.save-list').on('click', '.to-top', function() {
			$$(this).parent().remove();
			var strBlock = $$(this).parent()[0].outerHTML;
			$$('.save-list ul')[0].insertAdjacentHTML('afterbegin', strBlock);
			$$('.fund-list3 .save-list').scrollTop(0, 200)
			// 由于删除组建后新增 需要重新加载绑定事件
			Utils.bindEvents(onceBindings);
		});
	}

	// 基金列表页 热销基金 样式
	function fundHotStyle(contentId) {
		$$(".fund-tabs-link").removeClass("hide");
        var tabHeight = $$('body').height()-$$('.navbar').height()-$$('.fund-tabs-link').outerHeight();
        $$("#" + contentId+' .data_div').css('width',$$('body').width()-190+"px");
        $$("#" + contentId+' .container-fluid').css('height',tabHeight+"px");
        setTable(contentId);
	}

    function setTable(contentId){
        setTimeout(function(){
        var screenD = 2;
        windowW = $$(window).width();
        if (windowW>$$(window).height()) {
            if (windowW>700) {
                screenD = 7;
            }else{
                screenD = 6;
            }
        }
        var leftwidth = $$(window).width()-190,
            table1 = $$("#" + contentId +' .data_table1 tr').eq(0).find('th'),
			table11 = $$("#" + contentId +' .data_table1 tr').eq(0).find('th.hide'),
            rightWidth = (750-leftwidth)/(table1.length-table11.length-screenD),
            table2 = $$("#" + contentId +' .data_table2 tr').eq(0).find('td');
        var count = 0;
        for(var i=0; i<table1.length; i++){
        	var falg = true;
                for(var j=0; j<table11.length; j++) {
                    if(table11[j].id==table1[i].id){
                        falg=false;
                        count = count+1;
                        break;
                    }
                }
                if(falg){
                    if (i-count < screenD) {
                        table1[i].style.width = leftwidth / screenD + 'px';
                        if (table2[i]) {
                            table2[i].style.width = leftwidth / screenD + 'px';
                        }
                    } else {
                        table1[i].style.width = rightWidth + 'px';
                        if (table2[i]) {
                            table2[i].style.width = rightWidth + 'px';
                        }
                    }
				}
        }
        },100);
    }
});