define(["utils"], function (Utils) {
	function render(params){
		var template = $$('#hostTemplate').html();
	    var compiledTemplate = Template7.compile(template);	 
	    var renderTemplate = compiledTemplate(params);
	    $$('#hostContent').html(renderTemplate); 
	    if('10006'==params.category_id){
	    	$$('.col-25').hide();
	    } 
	    Utils.bindEvents(params);
	} 
	function renderHistoryFund(params, bindings) {
		 
		var template = $$('#historyFundTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params);
        renderTemplate =  renderTemplate.replace(new RegExp('src="/mall/getFile', 'gm'), 'src="' + SERVICE_DOMAIN_URL + '/mall/getFile');
		$$('#historyFundContent').html(renderTemplate);
		if('10006'==params.category_id){
			$$('.experience-detail').hide();
			$$('.work_year').hide();
			$$('.manager-grade').hide();
	    }
		var arr =$$('.return_ratio');
	    for(var i=0;i<arr.length;i++){
	    	var return_ratio = Number($$('.return_ratio').eq(i).text().replace("%",''));
	    	if(return_ratio>0){
	    		 $$('.return_ratio').eq(i).removeClass("color-green").removeClass("color-gray").addClass("color-red");
	    	}else if(return_ratio<0){
	    		 $$('.return_ratio').eq(i).removeClass("color-red").removeClass("color-gray").addClass("color-green");
	    	}else{
	    		 $$('.return_ratio').eq(i).removeClass("color-red").removeClass("color-green").addClass("color-gray");
	    	}
	    } 
	    for(var i=0;i<params.resultList.length;i++){ 
	    	var img = params.resultList[i].image_url;
	    	if(null==img||''==img.trim()){
	    		$$('.fund-img').eq(i).attr("src","../template-std/imgs/avatar.png");
	    	} 
	    }
		Utils.bindEvents(bindings);
	}
	return{
		render: render,
		renderHistoryFund : renderHistoryFund
	}
});
