define([ "utils" ], function(Utils) {
	
	//渲染搜索框
	function render(params) {
		var template = $$('#searchInputTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params);
		$$('#searchInputContent').html(renderTemplate);
		Utils.bindEvents(params.bindings);
	}
	
	//渲染搜索数据列
	function afterRender(params){
		var template = $$('#searchResultTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params.model);
		$$('#searchResultContent').html(renderTemplate);
		Utils.bindEvents(params.bindings);
	}
	
	//渲染热门搜索
	function popRender(params){
		var template = $$('#popSearchTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params.model);
		$$('#popSearchContent').html(renderTemplate);
		Utils.bindEvents(params.bindings);
	}

	return {
		render : render,
		afterRender : afterRender,
		popRender : popRender
	}
});