define(['utils'], function (Utils) {
	 //渲染资产值
    function renderAssets(params){
		var template = $$('#assetsDetailTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params);
		$$('#assetsDetailContent').html(renderTemplate);
		Utils.bindEvents(params.bindings);
    };
    //渲染资产列表
    function renderxsdList(params){
        var template = $$('#assetsListTemplate').html();
        var compiledTemplate = Template7.compile(template);
        var renderTemplate = compiledTemplate(params);
        $$('#assetsListContent').html(renderTemplate);
        Utils.bindEvents(params.bindings);
    };
    //渲染资产列表
    function renderList(params){
		var template = $$('#assetsListTemplate').html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params);
		$$('#assetsListContent').html(renderTemplate);
		if(params.model.categoryData.currentAssets!=0){
			$$('.current').addClass('active');
		}else if(params.model.categoryData.regularAssets!=0){
			$$('.regular').addClass('active');
		}else if(params.model.categoryData.fundAssets!=0){
			$$('.fund').addClass('active');
		}else if(params.model.categoryData.incomeAssets!=0){
			$$('.incomMan').addClass('active');
		}else if(params.model.categoryData.prodIncome!=0){
			$$('.prod').addClass('active');
		}
		var arr =$$('.income');
	    for(var i=0;i<arr.length;i++){ 
	    	var income = $$('.income').eq(i).text();
	    	income = parseFloat(income.replace(/[^0-9-.]/g, ''))
	    	if(income>0){
	    		 $$('.income').eq(i).addClass("color-red");
	    	}else if(income<0){
	    		 $$('.income').eq(i).addClass("color-green");
	    	}else{ 
	    		 $$('.income').eq(i).addClass("color-gray");
	    	}
	    } 
	    var arr =$$('.format');
	    for(var i=0;i<arr.length;i++){ 
	    	var income = $$('.format').eq(i).text();
	    	income = parseFloat(income.replace(/[^0-9-.]/g, ''))
	    	if(income>999999.99){
	    		 $$('.format').eq(i).text((income/10000)+'万元');
	    	} 
	    } 
	    var arr =$$('.name');
	    for(var i=0;i<arr.length;i++){ 
	    	var income = $$('.name').eq(i).text(); 
	    	if(income.length>10){
	    		 $$('.name').eq(i).text(income.substr(0,9)+'..');
	    	} 
	    } 
		Utils.bindEvents(params.bindings);
    };
    
    return {
    	renderAssets : renderAssets,
    	renderList : renderList,
        renderxsdList :renderxsdList
    }
});
