window.LocalSurveys = {
  "questions": [ 
    {
      "topic": "什么是可转债？",
      "option": "答：可转债是债券的一种，可以转换为债券发行公司的股票，通常具有较低的票面利率。本质上讲，可转换债券是在发行公司债券的基础上，附加了一份期权，允许购买人在规定的时间范围内将其购买的债券转换成指定公司的股票。"
    },
    {
      "topic": "可转债申购需要什么条件？",
      "option": "答：沪市可转债需要开立沪市证券账户，深市可转债需要开立深市证券账户。网上申购时，账户内不需持有资金或股票，中签后再缴款。"
    },
    {
      "topic": "申购单位是多少？",
      "option": "答：融资融券客户信用证券账户的市值合并计算到该投资者持有市值中，证券公司转融通担保证券明细账户市值合并计算到该证券公司持有的市值中。"
    },
    {
      "topic": "同一投资者多个证券账户，可以多次申购吗？",
      "option": "答：投资者参与可转债网上申购只能使用一个证券账户。同一投资者使用多个证券账户，以及使用同一账户多次申购的，以该投资者的第一笔申购作为有效申购。不合格、休眠和注销的证券账户不得参与可转债的申购。"
    },
    {
      "topic": "是否可以撤单？",
      "option": "答：网上申购一经确认，不得撤销。<br/> 深市新债优先配售未确认时，申报可撤；沪市新债优先配售，申报不可撤。"
    },
    {
      "topic": "收益如何？",
      "option": "答：可转债价格可能会受到正股价格和市场波动的影响，部分新债上市后可能存在“破发”风险，投资者需谨慎申购。"
    },
    {
      "topic": "中签后如何缴款？",
      "option": "答：T日申购，T+2日公布中签结果。T+2日16:00前投资者需保证账户中有足额的认购资金，不足部分视为放弃认购。投资者可通过银证转账转入资金或适量卖出股票等方式补充资金。"
    },
    {
      "topic": "中签后若未足额缴款会有什么影响？",
      "option": "答：投资者连续12个月内累计出现3次中签却未足额缴款情形的，自中国结算上海分公司收到弃购申报的次日起6个月（按180个自然日计算，含次日）内不得参与新股、可转债、可交换债等品种的申购。放弃认购的次数按照投资者实际放弃认购新股、可转债与可交换债的次数合并计算。"
    },
    {
      "topic": "中签后，账户中的可用资金可以手工选择放弃缴款吗？",
      "option": "答：不可以。申购中签后，若账户中有可用资金，则自动缴款，无法撤销；若账户中可用资金为负，表示可用资金不足，此时通过银证转账转入或卖出股票得到的可用资金，也会优先用于自动缴款，无法撤销。"
    }
  ],
  "questions2": [
    {
      "topic": "市值具体怎么计算？",
      "option": "答：根据规定，持有上海或深圳市场非限售A股股份市值1万元以上（含1万元）的投资者可以申购新股。投资者持有的市值以投资者为单位，按其申购日前第2个交易日（含当日）为时间点，之前的20个交易日的日均持有市值计算。投资者相关证券账户持有市值按其证券账户中纳入市值计算范围的股份数量与相应收盘价的乘积计算。投资者相关证券账户开户时间不足20个交易日的，按20个交易日计算日均持有市值。非限售A股股份发生司法冻结、质押，以及存在上市公司董事、监事、高级管理人员交易限制的，不影响证券账户内持有市值的计算。不合格、休眠、注销证券账户不计算市值。"
    },
    {
      "topic": "有多个证券账户怎么计算市值？只能使用一个账户申购新股？",
      "option": "答：投资者持有多个证券账户的，多个证券账户的市值合并计算。确认多个证券账户为同一投资者持有的原则为证券账户注册资料中的“账户持有人名称”、“有效身份证明文件号码”均相同。证券账户注册资料以申购日前2个交易日日终为准。投资者参与网上公开发行股票申购，只能使用一个证券账户。同一投资者使用多个证券账户参与同一只新股申购的，以及投资者使用同一证券账户多次参与同一只新股申购的，以该投资者的第一笔申购为有效申购，其余申购均为无效申购。"
    },
    {
      "topic": "融资融券账户市值怎么计算？",
      "option": "答：融资融券客户信用证券账户的市值合并计算到该投资者持有市值中，证券公司转融通担保证券明细账户市值合并计算到该证券公司持有的市值中。"
    },
    {
      "topic": "申购额度是怎么计算的？",
      "option": "答：上海市场每5000元市值可申购一个申购单位，不足5000元的部分不计入申购额度。每一个申购单位为500股，申购数量应当为500股或其整数倍。"
    },
    {
      "topic": "申购额度是否可以重复使用？",
      "option": "答：申购日有多只新股发行的，同一投资者的申购额度可用于每只新股的申购。"
    },
    {
      "topic": "新购是否可以多次申购？",
      "option": "答：同一投资者使用多个证券账户参与同一只新股申购的，以及投资者使用同一证券账户多次参与同一只新股申购的，以该投资者的第一笔申购为有效申购，其余申购均为无效申购。"
    },
    {
      "topic": "什么是顶格申购？",
      "option": "答：根据规定，新股申购最高不得超过当次网上初始发行股数的千分之一。例如一只新股发行量为1000万股，顶格申购即申购1万股。"
    },
    {
      "topic": "新股申购是否可以撤单？",
      "option": "答：新股申购一经交易系统确认，不得撤销。"
    },
    {
      "topic": "中签后资金没有到达新股申购所需的金额时怎么办？",
      "option": "答：中签后，可以通过银证转账转入资金或卖出股票等方式补充资金。"
    },
    {
      "topic": "中签后若未足额缴款会有什么影响？",
      "option": "答：投资者连续12个月内累计出现3次中签却未足额缴款情形的，自中国结算上海分公司收到弃购申报的次日起6个月（按180个自然日计算，含次日）内不得参与新股、可转债、可交换债等品种的申购。放弃认购的次数按照投资者实际放弃认购新股、可转债与可交换债的次数合并计算。"
    },
    {
      "topic": "中签后，账户中的可用资金可以手工选择放弃缴款吗？",
      "option": "答：不可以。申购中签后，若账户中有可用资金，则自动缴款，无法撤销；若账户中可用资金为负，表示可用资金不足，此时通过银证转账转入或卖出股票得到的可用资金，也会优先用于自动缴款，无法撤销。"
    }
  ],
  "questions2_old": [
    {
      "topic": "市值具体怎么计算？",
      "option": "答：根据规定，持有上海或深圳市场非限售A股股份市值1万元以上（含1万元）的投资者可以申购新股。投资者持有的市值以投资者为单位，按其申购日前第2个交易日（含当日）为时间点，之前的20个交易日的日均持有市值计算。投资者相关证券账户持有市值按其证券账户中纳入市值计算范围的股份数量与相应收盘价的乘积计算。投资者相关证券账户开户时间不足20个交易日的，按20个交易日计算日均持有市值。非限售A股股份发生司法冻结、质押，以及存在上市公司董事、监事、高级管理人员交易限制的，不影响证券账户内持有市值的计算。不合格、休眠、注销证券账户不计算市值。"
    },
    {
      "topic": "有多个证券账户怎么计算市值？只能使用一个账户申购新股？",
      "option": "答：投资者持有多个证券账户的，多个证券账户的市值合并计算。确认多个证券账户为同一投资者持有的原则为证券账户注册资料中的“账户持有人名称”、“有效身份证明文件号码”均相同。证券账户注册资料以申购日前2个交易日日终为准。投资者参与网上公开发行股票申购，只能使用一个证券账户。同一投资者使用多个证券账户参与同一只新股申购的，以及投资者使用同一证券账户多次参与同一只新股申购的，以该投资者的第一笔申购为有效申购，其余申购均为无效申购。"
    },
    {
      "topic": "融资融券账户市值怎么计算？",
      "option": "答：融资融券客户信用证券账户的市值合并计算到该投资者持有市值中，证券公司转融通担保证券明细账户市值合并计算到该证券公司持有的市值中。"
    },
    {
      "topic": "申购额度是怎么计算的？",
      "option": "答：上海市场每1万元市值可申购一个申购单位，不足1万元的部分不计入申购额度。每一个申购单位为1000股，申购数量应当为1000股或其整数倍。"
    },
    {
      "topic": "申购额度是否可以重复使用？",
      "option": "答：申购日有多只新股发行的，同一投资者的申购额度可用于每只新股的申购。"
    },
    {
      "topic": "新购是否可以多次申购？",
      "option": "答：同一投资者使用多个证券账户参与同一只新股申购的，以及投资者使用同一证券账户多次参与同一只新股申购的，以该投资者的第一笔申购为有效申购，其余申购均为无效申购。"
    },
    {
      "topic": "什么是顶格申购？",
      "option": "答：根据规定，新股申购最高不得超过当次网上初始发行股数的千分之一。例如一只新股发行量为1000万股，顶格申购即申购1万股。"
    },
    {
      "topic": "新股申购是否可以撤单？",
      "option": "答：新股申购一经交易系统确认，不得撤销。"
    },
    {
      "topic": "中签后资金没有到达新股申购所需的金额时怎么办？",
      "option": "答：中签后，可以通过银证转账转入资金或卖出股票等方式补充资金。"
    },
    {
      "topic": "中签后若未足额缴款会有什么影响？",
      "option": "答：投资者连续12个月内累计出现3次中签却未足额缴款情形的，自中国结算上海分公司收到弃购申报的次日起6个月（按180个自然日计算，含次日）内不得参与新股、可转债、可交换债等品种的申购。放弃认购的次数按照投资者实际放弃认购新股、可转债与可交换债的次数合并计算。"
    },
    {
      "topic": "中签后，账户中的可用资金可以手工选择放弃缴款吗？",
      "option": "答：不可以。申购中签后，若账户中有可用资金，则自动缴款，无法撤销；若账户中可用资金为负，表示可用资金不足，此时通过银证转账转入或卖出股票得到的可用资金，也会优先用于自动缴款，无法撤销。"
    }
  ]
}
