// 常量JS
var MESSAGE_TIMEOUT = "网络或服务异常，请检查手机网络情况后重试！";
var MESSAGE_INITFAIL = "初始化失败，请注销后重新登陆再试！";
var MESSAGE_INITUN = "初始化未完成，请稍后再试！";
var TIMEOUT = 20000;
// ////////////////////////////////////////////////////////////////////
APP = {};
var CERT = {};
var APP_video = {};
var APP_cert = {};
var APP_params = {};
var APP_params_productOverview = {};
var APP_params_ratio = {};
APP_params.loginAfterCallBack = "";
var APP_MFUND = {};
// ////////////////////////////////////////////////////////////////////
/**
 * RSA 公钥 rsa_pub_key
 */
var rsa_pub_key = '';

// ////////////////////////////////////////////////////////////////////
function goBack() {
	mainView.goBack();
}
function errorFn(errorInfo, callBackFn) {
	App.hideIndicator();
	App.hidePreloader();
	if (callBackFn == null) {
		callBackFn = function() {
		};
	}
	if (errorInfo.indexOf('用户未登录') != -1 || errorInfo.indexOf('用户未登陆') != -1) {
		callBackFn = function() {
			doLogin();
		};
	}
	App.alert(errorInfo, callBackFn);
}
function setNavbar(color) {
	if (!color) {
		$$(".navbar").css("background-color", color);
	}
}
// 设置商城头部与客户端一致
function getNavbar() {
	try {
		if (browsers.type.ios) { // iphone
			window.location.href = "objc://getStatusBarColor/$?setNavbar";
		} else {
			window.jtoJHandle.getStatusBarColor("setNavbar");
		}
	} catch (err) {
	}
}
function timeOutFn() {
	App.hideIndicator();
	App.hidePreloader();
	App.alert(MESSAGE_TIMEOUT);
}
// 打开外部页面0-开户;1-掌厅
function openExtraModule(json) {
	if (browsers.type.ios) { // iphone
		window.location.href = "objc://openExtraModule/?" + json;
	} else {
		window.jtoJHandle.openExtraModule(json);
	}
}
// 打开app
function openOtherIndex(type) {
    if (browsers.type.ios) { // iphone
        window.location.href = "objc://openNewModuleView/?" + type;
    } else {
        try {
            var reg = navigator.userAgent.toString().match(/\bSDKVersion\/(\S*)/)[1];
            jsLogConsole("SDKVersion"+reg);
            if(reg>=20042000){
                var json = {};
                json.type = type;
                json.statusBarColor = '#C4011D';
                window.jtoJHandle.openOwnPage( JSON.stringify(json));
            }else{
                window.jtoJHandle.openOwnPage(type, '');
            }
        }catch(e){
            window.jtoJHandle.openOwnPage(type, '');
        }
    }
}
// 通过sdk进入商城
function openMallPage(url, loadtype) {
	// loadtype local：本地资源 net：http
	if(isLogin == 'true'){
        if(url.indexOf("?")>0){
            url = url+"&haslogin=true";
        }else{
            url = url+"?haslogin=true";
        }
	}
	var jsonStr = '{"indexUrl":"' + url + '","loadtype":"' + loadtype + '"}';
	if (browsers.type.ios) { // iphone
		window.location.href = "objc://jumpIndexUrl/$?" + jsonStr;
	} else {
		window.jtoJHandle.jumpIndexUrl(jsonStr);
	}
}
//事件注册
function registerJsEventTag(){
    jsLogConsole("registerJsEventTag事件注册");
    var jsonStr = '{"tag":"mallrefresh","data":"mallrefresh","event":"pageFinish"}';
    if (browsers.type.ios) { // iphone
       // window.location.href = "objc://registerJsEventTag/$?" + jsonStr;
        CRHClientbBrowser.loadObjURL("objc://registerJsEventTag/$?" + jsonStr)
    } else {
        window.jtoJHandle.registerJsEventTag(jsonStr);
    }
}
//事件触发回调
function dispatchJsEvent(json){
    jsLogConsole("pageFinish");
    $$.ajax({
        url : SERVICE_DOMAIN_URL + '/userCenter/getAsset.do?rnd=' + new Date().getTime(),
        data : {},
        type : 'POST',
        success : function(data) {
            App.hideIndicator();
            data = JSON.parse(data);
            if (data.error_no == "0") {
                if (data.loginStatus == "nologin") {
                    isLogin = "false";
                    $$(".index-login .no-login").show();
                } else {
                    if (data.assetStatus == "") {
                        $$(".index-login .notlogin").hide();
                        $$(".index-login .assetDetail").show();
                        $$(".assetDetail .enable").text(fmoney(data.enableBalanceValue, 2));
                        $$(".assetDetail .my-value").text(fmoney(data.totalAsset, 2));
                        $$(".assetDetail .incomeAsset").text("+" + fmoney(data.incomeAsset, 2));
                        if (parseFloat(data.incomeAsset) < 0) {
                            $$(".assetDetail .incomeAsset").text(fmoney(data.incomeAsset, 2));
                        }
                    } else {
                        App.alertDialog(data.assetStatus);
                    }
                }
            } else {
				App.alert(showErrorMsg(data.error_info));
            }
        },
        error : function() {
            App.hideIndicator();
            App.alert(MESSAGE_TIMEOUT);
        },
        timeout : function() {
            App.hideIndicator();
            App.alert(MESSAGE_TIMEOUT);
        }
    });

}
// 退出
function closeSJKH() {
	try {
		jsLogConsole("closeSJKH");
		if (browsers.type.iPhone) { // iphone
			window.location.href = "objc://callIOSQuit/";
		} else {
			window.jtoJHandle.closeSJKH();
		}
	} catch (e) {
		mainView.goBack();
	}
}

// 通过外部浏览器打开地址
function openUrls(url) {
	if (browsers.type.iPhone) { // iphone
		window.location.href = "objc://updateApp/$?" + url;
	} else {
		window.jtoJHandle.updateApp('2', url);
	}
}

// 内部地址跳转
function openUrl(url, title) {
	if (browsers.type.ios) { // iphone
		window.location.href = "objc://openSDURL/$?" + url + "&sdkfrom=crh";
	} else {
		window.jtoJHandle.openSDURL(url + "&sdkfrom=crh");
	}
}

// 跳转思迪服务大厅
function goServicehalls() {
	console.log(">>>>跳转思迪服务大厅");
	if (browsers.type.iPhone) { // iphone
		window.location.href = "objc://serviceHall/";
	} else {
		window.jtoJHandle.goServiceHall();
	}
}

// 关闭加载
function closeloading() {
	var from = GetQueryString("from");
	if (from != 'wx') {
		if (browsers.type.iPhone) { // iphone
			window.location.href = "objc://closeLoading/";
		} else {
			window.jtoJHandle.closeLoading();
		}
	}
}

function logShowError(errorInfo) {
	for (var i = 0; i < errorInfo.length; i++) {
		errorInfo = errorInfo.replace("<br/>", "");
	}
	var strings = errorInfo.split("");
	var list = [];
	for (var i = 0; i < strings.length; i++) {
		if (i % 20 == 19) {
			list += strings[i] + "<br/>";
		} else {
			list += strings[i];
		}
	}
	return list;
}

/**
 * 埋点触发方法
 */
function dataOnEvent(eventId, ext) {
	var from = GetQueryString("from");
	if (SECURITY_ALIAS == "hazq" && from != "wx") {
		if (browsers.type.iPhone) { // iphone
			window.location.href = "objc://setCount/?" + eventId;
		} else {
			window.jtoJHandle.onEvent(eventId, ext);
		}
	}
}

// 思迪统一登录
function tokenLogin(token) {
	var params = {
		token : token,
		account_type : 4
	};
	loginFunc(params);
}

function userLogin(username, password) {
    jsLogConsole("登录回调："+username);
	var username_old = localStorage.getItem('username_sdk') || "";
	if (username_old != username) {
		isLogin = false;
		$$(".index-login .notlogin").show();
		$$(".index-login .assetDetail").remove();
		if (appfromPage == 'newapp' && SECURITY_ALIAS == 'xsdzq' && ISFIRST != 'app'&& ISFIRST != 'local' && ISFIRST != 'net') {
			APP_params.loginAfterCallBack = function() {

			    jsLogConsole("kkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkkk" + localStorage.getItem("gostatementstatus"));
                if (localStorage.getItem("gostatementstatus")) {
                    localStorage.setItem(getSatementDialogLocalKey(), 'y');
                    mainView.reloadPage(SERVICE_DOMAIN_URL + "../template-xsdzq/page/bill.html");
                }else {
                    mainView.reloadPage(SERVICE_DOMAIN_URL + "../template-xsdzq/page/index-login-app.html");
                }
			};
			APP_params.endAfterCallBack = function() {
				mainView.reloadPage(SERVICE_DOMAIN_URL + "../template-xsdzq/page/index-login-app.html");
			};
		}
	}
	localStorage.setItem('username_sdk', username);
	if (username != "" && username != "null" && username != "(null)") {
		var params = {
			account_content : username,
			password : password,
			account_type : 4,
			device_flag : 7
		};
		loginFunc(params);
	} else {
		isLogin = false;
		$$(".index-login .notlogin").show();
		$$(".index-login .assetDetail").remove();
		exit();
	}
}

// 加密密码登陆
function aesUserLogin(username, password) {
	if (username != "" && username != "null" && username != "(null)") {
		var params = {
			account_content : username,
			// 将+号和&号转义，通过服务端解析成+和&
			password : encodeURIComponent(password),
			account_type : 4
		};
		loginFunc(params);
	} else {
		h5Login();
	}

}
var CRHClientbBrowser = {
	// iOS加载函数
	loadObjURL : function(url) {
		var iFrame;
		iFrame = document.createElement("iframe");
		iFrame.setAttribute("src", url);
		iFrame.setAttribute("style", "display:none;");
		iFrame.setAttribute("height", "0px");
		iFrame.setAttribute("width", "0px");
		iFrame.setAttribute("frameborder", "0");
		document.body.appendChild(iFrame);
		iFrame.parentNode.removeChild(iFrame);
		iFrame = null;
	},
	language : (navigator.browserLanguage || navigator.language).toLowerCase()
}
function appDeviceInfo() {
	if (browsers.type.ios) { // iphone
		CRHClientbBrowser.loadObjURL('objc://getDeviceInfo/?getDeviceInfo')
	} else if (browsers.type.android) {
		jtoJHandle.getDeviceInfo("getDeviceInfo");
	}
}
// 调用sdk获取手机号
function getRegistMobileNo() {
	if (browsers.type.ios) { // iphone
		CRHClientbBrowser.loadObjURL('objc://callIOSGetRegistMobileNo/')
	} else if (browsers.type.android) {
		jtoJHandle.getRegistMobileNo();
	}
}
function getRegistMobileNoCallback(errorNo, mobileNo, channel) {
	app_device_info.mobile_tel = mobileNo || "";
}
var app_device_info = {};
function getDeviceInfo(jsonStr) {
    console.log(jsonStr);
    const obj = JSON.parse(jsonStr);
    if (obj.mac) { // 如果mac为空则取deviceId  iphone取不到mac
        app_device_info.mac_address = obj.mac.replace(/:/g, '');
    }
    if (obj.deviceId && obj.deviceId !== null && obj.deviceId !== 'null') {  // deviceId或为空则取mac的值 android逻辑
        app_device_info.device_id = obj.deviceId.replace(/AndroidId|IMEI|null/g, '');
    }
    app_device_info.apptype = obj.apptype;
    app_device_info.lanIP = obj.lanIP || obj.ipAddress;
    app_device_info.imsi = obj.imsi;
    app_device_info.ICCID = obj.ICCID;
    app_device_info.mobileNo = obj.mobileNo;
	app_device_info.appVersion = obj.appVersion;
    app_device_info.opStation = obj.opStation;
    if(app_device_info.opStation){
        if(browsers.type.ios) {
            app_device_info.device_id =GetValueByKey(app_device_info.opStation, "mobile_idfv", ";");
            app_device_info.appVersion =GetValueByKey(app_device_info.opStation, "app_version", ";");
        }else{
            app_device_info.device_id =GetValueByKey(app_device_info.opStation, "imei", ";");
		}
		app_device_info.mobileNo =GetValueByKey(app_device_info.opStation, "reg_mobile_no", ";");
		app_device_info.mac_address=GetValueByKey(app_device_info.opStation, "mac_addr", ";");
    }
    app_device_info.isreturn = 1;
}
//terminal_type=01;internal_ip=NA;internal_ip_port=NA;mac_addr=NA;mobile_ip=010026117060;mobile_idfv=BF639F7C-BB79-4138-9EFF-F9D6D3A0CFAD;reg_mobile_no=18288888888;phone_no=NA;operation_version=iOS13.7;mobile_icc_id=NA;imsi=NA;extension=NA;
//terminal_type=02;internal_ip=61.175.197.202;internal_ip_port=62393;mobile_ip=192168137206;mac_addr=A4:50:46:F9:78:7E;imei=851a32de659c7e37;reg_mobile_no=15261956569;use_mobile_no=NA;icc_id=NA;operation_version=Android10;imsi=
//GetValueByKey(strs, "B", ",")
function GetValueByKey(strs, key, sp)
{
    var result = 'NA';
    if (strs.indexOf(key + "=") > -1)
    {
        var s = strs.substring(strs.indexOf(key + "="));
        if (s.indexOf(sp) != -1)
        {
            result = s.substring(s.indexOf(key + "=") + key.length + 1, s.indexOf(sp));
        }                else
        {
            if (s.indexOf(key + "=") != -1)
            {
                result = s.substring(s.indexOf(key + "=") + key.length + 1);
            }
        }
    }
    if(result == null || result== 'null' || result.trim()== ''){
        result = 'NA';
	}
    return result;
}
// 循环获取设备信息回调函数中的值
function loopGetDeviceInfo(params) {
	var count = 1;
	var temp = setInterval(function() {
		if (count > 30) {
			loginFunction(params);
			clearInterval(temp);
		} else if (app_device_info.isreturn) {
            var opStation = '';
            if(browsers.type.ios){
                opStation =opStation+'CRH-MI;';
            }else{
                opStation =opStation+'CRH-MA;';
            }
            if(app_device_info.opStation){
            	var lip =  GetValueByKey(app_device_info.opStation, "mobile_ip", ";")
                if(lip.length=12){
                    lip = Number(lip.substring(0,3))+"."+Number(lip.substring(3,6))+"."+Number(lip.substring(6,9))+"."+Number(lip.substring(9,12));
				}
                opStation =opStation + 'LIP='+lip+";";
            }else if(app_device_info.lanIP){
				opStation = opStation + 'LIP=' + app_device_info.lanIP + ";";
			}else{
                opStation =opStation + 'LIP=NA;';
			}
            if(app_device_info.opStation){
                opStation =opStation + 'MAC='+GetValueByKey(app_device_info.opStation, "mac_addr", ";").replaceAll(":","")+";";
            }else if(app_device_info.mac_address){
				opStation = opStation + 'MAC=' + app_device_info.mac_address.replaceAll(":","") + ";";
            }else{
                opStation =opStation + 'MAC=NA;';
            }
            if(browsers.type.ios){
                if(app_device_info.opStation){
                    opStation =opStation + 'IDFV='+GetValueByKey(app_device_info.opStation, "mobile_idfv", ";")+";";
                }else if(app_device_info.device_id){
                    opStation =opStation + 'IDFV='+app_device_info.device_id+";";
				}else{
                    opStation =opStation + 'IDFV=NA;';
				}
            }else{
                if(app_device_info.opStation){
                    opStation =opStation + 'IMEI='+GetValueByKey(app_device_info.opStation, "imei", ";")+";";
                }else if(app_device_info.device_id){
                    opStation =opStation + 'IMEI='+app_device_info.device_id+";";
                }else{
                    opStation =opStation + 'IMEI=NA;';
                }
            }
            if(app_device_info.opStation){
				opStation = opStation + 'RMPN=' + GetValueByKey(app_device_info.opStation, "reg_mobile_no", ";") + ";UMPN=" + GetValueByKey(app_device_info.opStation, "use_mobile_no", ";") + ";";
            }else  if(app_device_info.mobileNo){
                opStation =opStation + 'RMPN='+app_device_info.mobileNo+";UMPN=NA;";
            }else{
                opStation =opStation + 'RMPN=NA;UMPN=NA;';
            }
            if(app_device_info.opStation){
				opStation = opStation + 'ICCID=' + GetValueByKey(app_device_info.opStation, "icc_id", ";") + ";";
            }else if(app_device_info.ICCID){
                opStation =opStation + 'ICCID=' + app_device_info.ICCID+";";
            }else{
                opStation =opStation + 'ICCID=NA;';
            }
            if(browsers.type.ios) {
                if (app_device_info.opStation) {
                    opStation = opStation + 'OSV=' + GetValueByKey(app_device_info.opStation, "operation_version", ";") ;
                } else {
                    opStation = opStation + 'OSV=NA' ;
                }
            }else{
                if (app_device_info.opStation) {
                    opStation = opStation + 'OSV=' + GetValueByKey(app_device_info.opStation, "operation_version", ";") + ";";
                } else {
                    opStation = opStation + 'OSV=NA' + ";";
                }
			}
            if(browsers.type.android){
                if(app_device_info.opStation){
                    opStation = opStation + 'IMSI=' + GetValueByKey(app_device_info.opStation, "imsi", ";");
                }else if(app_device_info.imsi){
                    opStation =opStation+'IMSI='+app_device_info.imsi+"";
                }else{
                    opStation =opStation+'IMSI=NA';
                }
            }
            if(app_device_info.appVersion){
                opStation =opStation+'@SJ_LCSC;'+app_device_info.appVersion;
            }else{
                opStation =opStation+'@SJ_LCSC;NA';
            }
            if (app_device_info.opStation) {
                params.operation_version = GetValueByKey(app_device_info.opStation, "operation_version", ";");
            }
			params.mac_address = app_device_info.mac_address;
			params.device_id = app_device_info.device_id;
			params.mobile_tel = app_device_info.mobileNo || "";
			if (app_device_info.apptype.toLowerCase() == 'ios') {
				params.terminal_type = 'MI';
			} else if (app_device_info.apptype.toLowerCase() == 'android') {
				params.terminal_type = 'MA';
			}
            params.op_station = opStation;
			loginFunction(params);
			clearInterval(temp);
		}
		count++;
	}, 100)
}
function loginFunc(params) {
	// 新时代需要获取设备信息，等待回调函数被调用后再登录,循环等待3次后放弃获取设备信息
	var from = GetQueryString("from");
	if (SECURITY_ALIAS == "xsdzq" && from != "wx") {
		appDeviceInfo();
		//getRegistMobileNo()
		loopGetDeviceInfo(params);
	} else {
		loginFunction(params);
	}
}
function loginFunction(params) {
	debugger;
	App.showIndicator();
	var from = GetQueryString("from");
	// if (params['device_flag'] == '7' && from == 'wx' && MALL_LOGIN_PWD_DECRYPT == '1') {
		if (RSA_PUB_KEY == '') {
			getRSAPubKey();
		}
		var encrypt = new JSEncrypt();
		encrypt.setPublicKey(RSA_PUB_KEY);
    	if (params.mobile_tel) {
            var mobile = encrypt.encrypt(params['mobile_tel']);
            params['mobile_tel'] = mobile;
    	}
		var ecrypted = encrypt.encrypt(params['password']);
		var account = encrypt.encrypt(params['account_content']);
		console.log('加密：' + ecrypted);
		console.log('加密：' + account);
		params['password'] = ecrypted;
		params['account_content'] = account;
	// }
	var terminal_type_desc = "04";// WAP
	if (browsers.type.iPhone) { // iphone
		terminal_type_desc = "01";// "移动端ios";
	} else if (from != "wx") {
		terminal_type_desc = "02";// "移动端android";
	}
	params.terminal_type_desc = terminal_type_desc;
	$$.ajax({
		url : SERVICE_DOMAIN_URL + '/login/loginsubmit.json?rnd=' + new Date().getTime(),
		data : params,
		type : 'POST',
		success : function(data) {
			App.hideIndicator();
			data = JSON.parse(data);
			localStorage.setItem('loginDone', "true");// 已做过登录
			var flag = true;
			if (data.error_no == "0") {
				for (i = 0; (SECURITY_ALIAS == "xsdzq" && from != "wx") && i < data.showList.length; i++) {
					if (!data.showList[i].sta) {
                        flag=false;
                        clientSure(data);
                        exit();
						return;
					} else {
						try {
							App.closeModal();
							$$(".modal-overlay.modal-overlay-visible").remove();
						} catch (e) {

						}
					}
				}
				// if (isLogin == "true" ) {
				// 	return;
				// }
				localStorage.setItem('HasGoWt', "false");
				if(flag){
                    isLogin = "true";
				}else{
                    isLogin = "false";
				}

				var pwdLength = data.pwdLength;
				// 判断密码长度 购买时弹出对应长度的密码框
				localStorage.setItem('pwdLength', pwdLength);
				App.closeModal('.popup-login');
				$$("#password").val('');
				if (APP_params.loginAfterCallBack != "") {
					APP_params.loginAfterCallBack();// 登录成功之后的回调,若不为空则执行该回调,若为空,则刷新跳转页面
					APP_params.loginAfterCallBack = "";
				} else {
					APP_params.login_from_url = localStorage.getItem('toUrl');
					if ((APP_params.login_from_url || "") != "") {
						mainView.loadPage(APP_params.login_from_url);
						localStorage.setItem('toUrl', "");
					} else {
						mainView.refreshPage();
					}
				}
			} else {
				if (data.error_no == '174997') {
					App.alert(logShowError(data.error_info), function() {
						getRSAPubKey();
					});
				} else {
					App.alert(logShowError(data.error_info));
				}
			}
		},
		error : function() {
			App.hideIndicator();
			App.alert(MESSAGE_TIMEOUT);
		},
		timeout : function() {
			App.hideIndicator();
			App.alert(MESSAGE_TIMEOUT);
		}
	});
}

function clientSure(data) {
	var suitable = '';
	var lis = '';
	var idnostr = '';
	var wdzlstr = '';
	var fxcpstr = '';
	var mobilestr = '';
	var dzqmstr = '';
	var gjstr = '';
	var count1 = 0;
	var count2 = 0;
	for (i = 0; i < data.showList.length; i++) {
		if (!data.showList[i].sta && data.showList[i].menu == '2') {
			count2 += 1;
		}
		if (!data.showList[i].sta && data.showList[i].menu == '1') {
			count1 += 1;
		}
	}
	var num1 = 0;
	var num2 = 0;
	for (i = 0; i < data.showList.length; i++) {
		if (!data.showList[i].sta && data.showList[i].menu == '2') {
			num2 += 1;
			if (count2 > 1) {
				idnostr += '<li>' + num2 + "、" + data.showList[i].msg + '</li>'
			} else {
				idnostr += '<li>' + data.showList[i].msg + '</li>'
			}
		}
		if (!data.showList[i].sta && data.showList[i].menu == '1') {
			num1 += 1;
			if (count1 > 1) {
				wdzlstr += '<li>' + num1 + "、" + data.showList[i].msg + '</li>'
			} else {
				wdzlstr += '<li>' + data.showList[i].msg + '</li>'
			}
		}
		if (!data.showList[i].sta && data.showList[i].menu == '3') {
			fxcpstr += '<li>' + data.showList[i].msg + '</li>'
		}
		if (!data.showList[i].sta && data.showList[i].menu == '4') {
			mobilestr += '<li>' + data.showList[i].msg + '</li>'
		}
		if (!data.showList[i].sta && data.showList[i].menu == '5') {
			dzqmstr += '<li>' + data.showList[i].msg + '</li>'
		}
		if (!data.showList[i].sta && data.showList[i].menu == '-1') {
			gjstr += '<li> <div class="suit-title">' + data.showList[i].msg + '</div><div class="suit-tips"><img src="../template-std/imgs/note@2x.png"/>请前往营业厅办理</div></li>'
		}
	}
	if (idnostr != '') {
		lis = lis + '<li><div class="suit-title">身份证信息</div><div class="suit-desc">' + '<ol>' + idnostr + '</ol>' + '</div><a href="" onclick="goClientNext(5)">去更新</a></li>';
	}
	if (wdzlstr != '') {
		lis = lis + '<li><div class="suit-title">我的资料</div><div class="suit-desc">' + '<ol>' + wdzlstr + '</ol>' + '</div><a href="" onclick="goClientNext(6)">去补充</a></li>';
	}
	if (fxcpstr != '') {
		lis = lis + '<li><div class="suit-title">风险测评</div><div class="suit-desc">' + '<ol>' + fxcpstr + '</ol>' + '</div><a href="" onclick="goClientNext(7)">去测评</a></li>';
	}
	if (mobilestr != '') {
		lis = lis + '<li><div class="suit-title">手机设置</div><div class="suit-desc">' + '<ol>' + mobilestr + '</ol>' + '</div><a href="" onclick="goClientNext(8)">去补充</a></li>';
	}
	if (dzqmstr != '') {
		lis = lis + '<li><div class="suit-title">电子签名约定书</div><div class="suit-desc">' + '<ol>' + dzqmstr + '</ol>' + '</div><a href="" onclick="goClientNext(1)">去签署</a></li>';
	}
	if (gjstr != '') {
		lis = lis + gjstr;
	}
	suitable += '<div class="suit-check-new"><h6 style="color:#333;">有以下条件不满足，请补充完资料，才能进行其他操作。</h6>'//
			+ '<ul class="suit-list-new">' + lis + '</ul>' + '<div class="iconfont iconfont-guanbi suit-check-close"></div>' + '</div>';
	App.modal({
		// 过期提醒
		title : '<span style="color:#696969;">适当性检测情况</span>',
		text : suitable,
		buttons : [ {
			text : '<a style="color: #559fe5;">确定</a>',
			onClick : function() {
				if(data.app_organ_flag!='0'){
                    App.closeModal();
                    $$(".modal-overlay.modal-overlay-visible").remove();
                    exit();
				}else{
                    goClientNext("1");
				}
			}
		} ]
	})
	$$(".suit-check-close").click(function() {
        if(data.app_organ_flag!='0'){
            App.closeModal();
            $$(".modal-overlay.modal-overlay-visible").remove();
            exit();
        }else {
            goClientNext("1");
        }
	})
}

function goClientNext(type) {
	App.closeModal();
	$$(".modal-overlay.modal-overlay-visible").remove();
	openOtherIndex(type);
	exit();
	localStorage.setItem('HasGoWt', "true");
}
// 登录
function doLogin() {
	// 获取商城进入来源
	var from = GetQueryString("from");
	localStorage.setItem('loginDone', "false");// 已做过登录
	if (from == 'wx') {
		h5Login();
	} else {
		// 嵌入APP，统一登录
		jsLogConsole("嵌入APP，统一登录");
		var HasGoWt = localStorage.getItem('HasGoWt');
		if (HasGoWt == "true") {
			doAppLogin();
		} else {
			appLogin();
		}
	}
}

function h5Login() {
	// 微信来源，商城内部登录
	App.popup('.popup-login');
	require([ SERVICE_DOMAIN_URL + '/template-std/js/controllers/loginController.js' ], function(controller) {
		controller.init();
	});
}

// 登录
function appLogin() {
	jsLogConsole(SECURITY_ALIAS + " " + isLogin);
	if (SECURITY_ALIAS == "hazq" || isLogin != "true") {
		jsLogConsole({
			name : "客户端登录",
			iPhone : browsers.type.iPhone
		});
		if (browsers.type.iPhone) {
			jsLogConsole({
				name : "客户端ios登录"
			});
            window.location.href = "objc://getUser/?anuserLogin";
		} else {
			jsLogConsole({
				name : "客户端安卓登录"
			});
            jtoJHandle.getUser("anuserLogin");
		}
	} else {
		doAppLogin();
	}
}
function anuserLogin(username, password) {
    jsLogConsole("登录回调："+username);
    var username_old = localStorage.getItem('username_sdk') || "";
    if (username_old != username) {
        isLogin = false;
        $$(".index-login .notlogin").show();
        $$(".index-login .assetDetail").remove();
        if (appfromPage == 'newapp' && SECURITY_ALIAS == 'xsdzq' && ISFIRST != 'app'&& ISFIRST != 'local' && ISFIRST != 'net') {
            APP_params.loginAfterCallBack = function() {
                mainView.reloadPage(SERVICE_DOMAIN_URL + "../template-xsdzq/page/index-login-app.html");
            };
            APP_params.endAfterCallBack = function() {
                mainView.reloadPage(SERVICE_DOMAIN_URL + "../template-xsdzq/page/index-login-app.html");
            };
        }
    }
    localStorage.setItem('username_sdk', username);
    if (username != "" && username != "null" && username != "(null)") {
        var params = {
            account_content : username,
            password : password,
            account_type : 4,
            device_flag : 7
        };
        loginFunc(params);
    } else {
        if (browsers.type.iPhone) {
            window.location.href = "objc://crhLogin/?userLogin";
        }else{
            jtoJHandle.callOtherLogin("userLogin");
        }
    }
}

// 对账单弹框控制
function getSatementDialogLocalKey(){
    var date = new Date();
    var monthNow = date.getMonth() + 1;
    var dateNow = date.getDate() + 1;
    return 'satementDialogFlag_'+ monthNow+''+dateNow;
}

function doAppLogin() {
	jsLogConsole(browsers.type.ios + " " + browsers.type.android);
	if (browsers.type.ios) { // iphone
		window.location.href = "objc://getUser/?userLogin";
	} else if (browsers.type.android) {
		jtoJHandle.getUser("userLogin");
	}
}

// 退出
function exit() {
	var from = GetQueryString("from");
	if (from != "wx") {
		if (browsers.type.iPhone) { // iphone
		} else {
			window.jtoJHandle.clearSessionCookie();
		}
	}
	$$.ajax({
		url : SERVICE_DOMAIN_URL + 'login/logout.do?rnd=' + new Date().getTime(),
		type : 'GET',
		success : function(data) {
			data = JSON.parse(data);
			isLogin = false;
			if (APP_params.endAfterCallBack != "") {
				APP_params.endAfterCallBack();// 登录成功之后的回调,若不为空则执行该回调,若为空,则刷新跳转页面
				APP_params.endAfterCallBack = "";
			}
		},
		error : function() {
			wtApp.alert(MESSAGE_TIMEOUT);
		},
		timeout : function() {
			wtApp.alert(MESSAGE_TIMEOUT);
		}
	});
}

function jsLogConsole(data) {
	var str = "";
	for ( var p in data) {
		str += "&" + p + "=" + data[p];
	}
	str = str || data;
	$$.ajax({
		url : SERVICE_DOMAIN_URL + 'login/logoutput.do?rnd=' + new Date().getTime(),
		type : 'post',
		data : {
			data : str,
		},
		success : function(data) {
			console.log("js日志打印到服务端成功:" + str);
		}
	});
}

// 隐藏首次购买有奖提示
function closeTip() {
	$$(this).parent('.tip').hide();
}

// 打开首次购买有奖提示
function openTip() {
	$$('.tip-close').parent('.tip').hide();
	redAlert();
}

/**
 * 用户未登录或已超时再次登录
 * 
 * @param error
 *            错误提示
 */
function userReLogin(error, GS, url) {
	if (error != null && error.indexOf("用户未登录或已超时") >= 0) {
		$$.ajax({
			url : SERVICE_DOMAIN_URL + '/exitSc.do?rnd=' + new Date().getTime(),
			type : 'GET',
			success : function(data) {
				data = JSON.parse(data);
				if (data.errorNo === 0) {
					GS.bLoadPage(url);
				} else {
					App.alert("退出失败");
				}
			},
			error : function() {
				App.alert(MESSAGE_TIMEOUT);
			},
			timeout : function() {
				App.alert(MESSAGE_TIMEOUT);
			}
		});
	} else {
		window.displayView.goBack();
	}
}

function showErrorMsg(errorMsg) {
	errorMsg = errorMsg || "";
	console.log('>>>>>>>>>>>>' + errorMsg);
	var err = errorMsg;
	var l1 = errorMsg.lastIndexOf('[');
	var l3 = 0;
	l3 += err.indexOf('[');
	err = err.substr(err.indexOf('[') + 1)
	l3 += err.indexOf('[');
	err = err.substr(err.indexOf('[') + 1);
	var l2 = err.indexOf('[')
	var msg = errorMsg;
	if (l2 != -1) {
		msg = errorMsg.substr(0, l3 + l2);
	} else {
		var min = errorMsg.indexOf("[");
		var max = errorMsg.lastIndexOf("]");
		if (min > 0 && max > 0)
			msg = errorMsg.substring(0, min) + errorMsg.substring(max + 1);
	}
	console.log(msg);
	return msg;
}

function showErrorMsg2(errorMsg) {
	if (errorMsg != null) {
		var min = errorMsg.indexOf("[");
		var max = errorMsg.lastIndexOf("]");
		if (min > 0 && max > 0)
			errorMsg = errorMsg.substring(0, min) + errorMsg.substring(max + 1);
		console.log(errorMsg);
		return errorMsg;
	}
}

// 中文时间格式
function ftime(time) {
	time = time.replace(/[-\/#\n]/g, '');
	return time.substr(0, 4) + '年' + time.substr(4, 2) + '月' + time.substr(6, 2) + '日';
}

// 金钱格式化
// ###,###.00
function fmoney(s, n) {
	s = Number(s);
	var head = "";
	if (s < 0) {
		s = Math.abs(s);
		head = "-";
	}
	n = n > 0 && n <= 20 ? n : 2;
	var dian = (s + "").indexOf('.');
	s = parseFloat((s + "").replace(/[^\d\.-]/g, ""));
	if (dian == -1) {
		s = s.toFixed(n) + "";
	} else {
		var cc = (s + "").substring(dian + 1, (s + "").length);
		// if(cc.length >=3){
		// s = (s + "").substring(0,dian+n+1);
		// }else{
		s = s.toFixed(n) + "";
		// }
	}

	var l = s.split(".")[0].split("").reverse(), r = s.split(".")[1];
	t = "";
	for (i = 0; i < l.length; i++) {
		t += l[i] + ((i + 1) % 3 == 0 && (i + 1) != l.length ? "," : "");
	}
	var result = t.split("").reverse().join("") + "." + r
	return head + result;
}

// 图表公用方法
function optionGenerator(data) {
	var option = {
		color : [ '#fcad48' ],
		grid : {
			x : '50',
			x2 : '20',
			y : '30',
			y2 : '30'
		},
		animation : false,
		tooltip : {
			trigger : 'axis',
			backgroundColor : 'rgba(254,214,164,0.9)',
			formatter : function(e) {
				e = e[0]
				// console.log(e)
				return e.seriesName + ':' + e.value + '<br/>' + e.name
			},
			position : function(axis) {
				return [ axis[0], 14 ]
			},
			axisPointer : {
				type : 'line',
				lineStyle : {
					color : '#FFD43C',
					type : 'dashed',
					width : 1
				},
				crossStyle : {
					color : '#FFD43C'
				}
			}
		},
		xAxis : [ {
			axisTick : false,
			type : 'category',
			axisLabel : {
				textStyle : {
					color : '#c8c7cc'
				}
			},
			axisLine : {
				lineStyle : {
					color : '#F3F3F3',
					width : 1
				}
			},
			splitLine : {
				show : false,
				lineStyle : {
					color : '#F7F7F7',
				// type: 'dotted'
				}
			},
			boundaryGap : false,
			data : data.chart[0].date
		} ],
		yAxis : [ {
			name : data.chart[0].type[0],
			nameTextStyle : {
				color : '#FCAD48'
			},
			type : 'value',
			scale : true,
			axisLabel : {
				formatter : function(v) {
					return Number(v).toFixed(3)
				},
				textStyle : {
					color : '#c8c7cc'
				}
			},
			axisLine : {
				lineStyle : {
					color : '#F3F3F3'
				}
			},
			splitLine : {
				lineStyle : {
					color : '#F7F7F7',
				// type: 'dotted'
				}
			}
		} ],
		series : [ {
			name : data.chart[0].type[0],
			type : 'line',
			smooth : true,
			symbol : 'none',
			itemStyle : {
				normal : {
					areaStyle : {
						type : 'default'
					}
				}
			},
			data : data.chart[0].rate,
		} ]
	};
	option.animation = false;
	return option;
}

// 抽奖提示弹窗公共方法
function redAlert() {
	var img = new Image();
	var mask = document.createElement('div');
	var page = $$('.product-detail');
	var width = page.width();
	var height = page.height();
	img.src = 'template-mall/imgs/redd.png';
	img.className = 'red-alert';
	$$(mask).append(img);
	$$(mask).css({
		'width' : width + 'px',
		'height' : height + 'px',
		'position' : 'absolute',
		'top' : '0',
		'left' : '0',
		'z-index' : '999',
	});
	$$(img).css({
		'width' : width + 'px',
		'position' : 'absolute',
		'top' : '44px',
		'left' : '4px',
		'z-index' : '999'
	});
	page.append(mask);
	$$(mask).click(function() {
		$$(this).hide();
	})
}

// 判断浏览器
var browsers = {
	type : function() {
		var u = navigator.userAgent, app = navigator.appVersion;
		return { // 移动终端浏览器版本信息
			trident : u.indexOf('Trident') > -1, // IE内核
			presto : u.indexOf('Presto') > -1, // opera内核
			webKit : u.indexOf('AppleWebKit') > -1, // 苹果、谷歌内核
			gecko : u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, // 火狐内核
			mobile : !!u.match(/AppleWebKit.*Mobile.*/), // 是否为移动终端
			ios : !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), // ios终端
			android : u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, // android终端或uc浏览器
			iPhone : u.indexOf('iPhone') > -1, // 是否为iPhone或者QQHD浏览器
			iPad : u.indexOf('iPad') > -1, // 是否iPad
			webApp : u.indexOf('Safari') == -1, // 是否web应该程序，没有头部与底部
			YiXin : u.indexOf('YiXin') > -1
		// 是否YiXin手机开户
		};
	}(),
	language : (navigator.browserLanguage || navigator.language).toLowerCase()
};
console.log(browsers.type);

// 银行图标公共方法
function changeBankIcon(bankNo) {
	var bankIcon = "";
	var bankLimit = "";
	var oneDayPayLimit = "";
	if ("0100" == bankNo) {
		bankIcon = "iconfont icon-bank icon-iconfontyouzheng";
		bankLimit = "单笔5000单日5000";
		oneDayPayLimit = "5000";
	} else if ("0102" == bankNo) {
		bankNamePinYin = "gongshang";// 工商
		bankIcon = "iconfont icon-bank icon-iconfontgongshangyinxing";
		bankLimit = "单笔5万单日5万";
		oneDayPayLimit = "50000";
	} else if ("0103" == bankNo) {
		bankNamePinYin = "nongye";// 农业
		bankIcon = "iconfont icon-bank icon-iconfontnongyeyinxing";
		bankLimit = "单笔50万单日100万";
		oneDayPayLimit = "1000000";
	} else if ("0104" == bankNo) {
		bankNamePinYin = "zhongguo";// 中国
		bankIcon = "iconfont icon-bank icon-iconfontzhongguoyinhang";
		bankLimit = "单笔5万单日50万";
		oneDayPayLimit = "500000";
	} else if ("0105" == bankNo) {
		bankNamePinYin = "jianshe";// 建设
		bankIcon = "iconfont icon-bank icon-iconfontjiansheyinxing";
		bankLimit = "单笔单日50万";
		oneDayPayLimit = "500000";
	} else if ("0301" == bankNo) {
		bankNamePinYin = "jiaotong";// 交通
		bankIcon = "iconfont icon-bank icon-iconfontjiaotongyinxing";
		bankLimit = "单笔2万单日2万";
		oneDayPayLimit = "20000";
	} else if ("0302" == bankNo) {
		bankNamePinYin = "zhongxin";// 中信
		bankIcon = "iconfont icon-bank icon-iconfontzhongxin";
		bankLimit = "单笔300万单日无限制";
		oneDayPayLimit = "";
	} else if ("0303" == bankNo) {
		bankNamePinYin = "guangda";// 光大
		bankIcon = "iconfont icon-bank icon-guangdayinxing";
		bankLimit = "单笔300万单日无限制";
		oneDayPayLimit = "";
	} else if ("0305" == bankNo) {
		bankNamePinYin = "minsheng";// 民生
		bankIcon = "iconfont icon-bank icon-minshengyinxing";
		bankLimit = "单笔200万单日无限额";
		oneDayPayLimit = "";
	} else if ("0306" == bankNo) {
		bankNamePinYin = "guangfa";// 广发
		bankIcon = "iconfont icon-bank icon-minshengyinxing";
		bankLimit = "单笔300万单日无限制";
		oneDayPayLimit = "";
	} else if ("0307" == bankNo) {
		bankNamePinYin = "shenzhenfazhan";// 深圳发展
		bankIcon = "iconfont icon-bank icon-iconfontshenzhenfazhan";
		bankLimit = "购买金额无限制";
		oneDayPayLimit = "";
	} else if ("0308" == bankNo) {
		bankNamePinYin = "zhaoshang";// 招商
		bankIcon = "iconfont icon-bank icon-iconfontzhaoshangyinhang";
		bankLimit = "单笔5万单日无限额";
		oneDayPayLimit = "";
	} else if ("0309" == bankNo) {
		bankNamePinYin = "xingye";// 兴业
		bankIcon = "iconfont icon-bank icon-iconfontxingye";
		bankLimit = "单笔5万单日5万";
		oneDayPayLimit = "50000";
	} else if ("0410" == bankNo) {
		bankNamePinYin = "pingan";// 平安
		bankIcon = "iconfont icon-bank icon-iconfontyouzheng";
		bankLimit = "单笔100万单日500万";
		oneDayPayLimit = "5000000";
	}
	return bankIcon + "," + bankLimit + "," + oneDayPayLimit;
}

// 支付状态
function returnPayStatus(status) {
	var statu = "";
	if (status == '0') {
		statu = "已提交成功";
	} else if (status == '1') {
		statu = "已确认 ";
	} else if (status == '2') {
		statu = "支付成功 ";
	} else if (status == '3') {
		statu = "失败 ";
	} else {
		statu = "未知状态 ";
	}
	return statu;
}

// 购买状态
function returnSaleStatus(saleStatus, salesTimeString) {
	var buttonInfo = "";
	if (saleStatus + "" == "7" || saleStatus + "" == "8") {
		buttonInfo = salesTimeString;
	} else if (saleStatus + "" == "1") {
		buttonInfo = salesTimeString;
	} else if (saleStatus + "" == "0" || saleStatus + "" == "2") {
		buttonInfo = salesTimeString;
	} else if (saleStatus + "" == "3") {
		buttonInfo = salesTimeString;
	} else if (saleStatus + "" == "4" || saleStatus + "" == "5") {
		if (salesTimeString.indexOf('暂无') != '-1') {
			buttonInfo = salesTimeString;
		} else {
			buttonInfo = salesTimeString + "开放购买，敬请期待";
		}
	} else if (saleStatus + "" == "6") {
		buttonInfo = salesTimeString;
	} else if (saleStatus + "" == "9") {
		buttonInfo = salesTimeString;
	} else {
		buttonInfo = salesTimeString;
	}
	return buttonInfo;
}

// 友盟自定义事件统计/////
function onEvent(tag, label, duration) {
	/*
	 * if(browsers.type.iPhone){ //iphone window.location.href="objc://setCount/?"+tag; }else{ prompt("event", JSON.stringify({tag:tag,label:label, duration:duration})); }
	 */
}

function onKVEvent(tag, map, duration) {
	map.id = tag;
	map.duration = duration;
	prompt("ekv", JSON.stringify(map));
}

// /////////友盟统计//

// 自定义方法
function keyValue() {
	this.data = new Array();

	this.put = function(key, value) {
		this.data[key] = value;
	};

	this.get = function(key) {
		return this.data[key];
	};

	this.remove = function(key) {
		this.data[key] = null;
	};

	this.isEmpty = function() {
		return this.data.length == 0;
	};

	this.size = function() {
		return this.data.length;
	};
}

// 颜色公共方法
function color(value) {
	if (value > 0) {
		return "red";
	} else if (value < 0) {
		return "green";
	} else {
		return "gray";
	}
}

// 产品是否开放公共方法
function isOpen(saleStatus) {
	if (saleStatus == '0' || saleStatus == '1' || saleStatus == '2' || saleStatus == '7' || saleStatus == '8') {
		return false;
	} else {
		return true;
	}
}

// 去除重复数据
function unique(arr) {
	var result = [], isRepeated;
	for (var i = 0; i < arr.length; i++) {
		isRepeated = false;
		for (var j = 0; j < result.length; j++) {
			if (arr[i].prodCode == result[j].prodCode) {
				isRepeated = true;
				break;
			}
		}
		if (!isRepeated) {
			result.push(arr[i]);
		}
	}
	return result;
}

function prodListOrder(value) {
	var _value = value;
	this.value = function() {
		if (!arguments) {
			_value = arguments[0];
		} else {
			return _value;
		}
	}
}

function goHome() {
	var from = GetQueryString("from");
	if (from != 'wx' && appfromPage == "newapp") {
        if(ISFIRST=='app'){
            var json = {};
            json.funType = "forward";
            json.funName = "forwardTabView";
            var provider = {};
            provider.providerName = "xsdzq";
            json.provider = provider;
            var inputParam = {};
            inputParam.tabId = "2-38-1";
            json.inputParam = inputParam;
            openExtraModule(JSON.stringify(json));
        }else{
            closeSJKH()
        }
	} else {
		location.reload('/mall');
	}
}

/** 返回正数数字限制 返回数字字符串 value:输入内容;decimal:需要返回得小数位数;maxlength:最大位数 */
function numberLimit(value, decimal, maxlength) {
	var num = "", decimal = decimal || 0, maxlength = maxlength || 15;
	if (value.indexOf("0") == 0 && value.indexOf(".") != 1 && value.length >= 2 || value.indexOf("-") >= 0) {
		// 数字起始位为0,但第二位不是小数点则清空
		return "";
	}
	if (isNaN(value)) {// 非数字
		num = "";
	} else { // 是数字
		num = value + "";
	}
	if (decimal >= 0) {
		var index = num.indexOf(".");
		if (decimal == 0 && index >= 1) {
			num = num.substring(0, index);
		} else if (index > 0 && value.substring(num.indexOf(".")).length - 1 > decimal) {
			num = num.substring(0, index + decimal + 1);
		}
	}
	if (num.length > maxlength) {
		num = num.substring(0, maxlength);
	}
	return num;
}

function alertDialog(dialog) {
	App.modal({
		title : dialog["title"],
		text : dialog["text"],
		buttons : [ {
			text : dialog["btnText1"],
			onClick : function() {
				dialog.action1();
			}
		}, {
			text : dialog["btnText2"],
			onClick : function() {
				dialog.action2();
			}
		} ]
	});
}

APP_params.operNum = 0;
APP_params.hasEnd = true;

function operTooMore() {
	if (APP_params.hasEnd) {
		var oper = setInterval(function() {
			APP_params.operNum = 0;
			APP_params.hasEnd = true;
			clearInterval(oper);
		}, 60000);
		APP_params.hasEnd = false;
	}
	if (APP_params.operNum > 10) {
		App.alertDialog("操作太频繁了,歇会再操作吧");
		return true;
	} else {
		APP_params.operNum++;
	}
}

// getRSAPubKey();
function getRSAPubKey() {
	$$.ajax({
		url : SERVICE_DOMAIN_URL + "/login/getRSAPubKey.json?rnd=" + new Date().getTime(),
		type : 'post',
		dataType : 'json',
		async : false,
		timeout : 20000,
		success : function(json) {
			if (json.error_no == '0') {
				RSA_PUB_KEY = json.rsa_public_key;
			} else {
				getRSAPubKey();
			}
		},
		error : function() {
			// 失败，则重新获取
			getRSAPubKey();
		}
	});
}

/**
 * 风险评测
 * 
 * @type {{}}
 */
var RISK = {};
RISK.init = function() {
	RISK.riskCallBackFn = function() {
		return true;
	};

};
RISK.riskCallBackFn = function() {
	return true;
};

function Map() {
	/**
	 * 结构
	 * 
	 * @param key
	 * @param value
	 */
	function Struct(key, value) {
		this.key = key;
		this.value = value;
	}

	/**
	 * 数据存放数组
	 */
	this.arr = [];
	/**
	 * 增加数据
	 * 
	 * @param key
	 *            {String}
	 * @param value
	 *            {Object}
	 */
	this.put = function(key, value) {
		for (var i = 0; i < this.arr.length; i++) {
			if (this.arr[i].key === key) {
				this.arr[i].value = value;
				return;
			}
		}
		this.arr[this.arr.length] = new Struct(key, value);
	};
	/**
	 * 通过key获取数据
	 * 
	 * @param key
	 *            {String}
	 * @returns {Object}
	 */
	this.get = function(key) {
		for (var i = 0; i < this.arr.length; i++) {
			if (this.arr[i].key === key) {
				return this.arr[i].value;
			}
		}
		return null;
	};
	/**
	 * 删除数据
	 * 
	 * @param key{String}
	 */
	this.remove = function(key) {
		var v;
		for (var i = 0; i < this.arr.length; i++) {
			v = this.arr[i];
			if (v.key === key) {
				this.arr.splice(i, 1);
				return;
			}
		}
	};
	/**
	 * 是否存在key
	 * 
	 * @param key
	 *            {String}
	 * @returns {boolean}
	 */
	this.containsKey = function(key) {
		var v;
		for (var i = 0; i < this.arr.length; i++) {
			v = this.arr[i];
			if (v.key === key) {
				return true;
			}
		}
		return false;
	};
	/**
	 * 获取map数据量
	 * 
	 * @returns {Number}
	 */
	this.size = function() {
		return this.arr.length;
	};
	/**
	 * 判断Map是否为空
	 * 
	 * @returns {boolean}
	 */
	this.isEmpty = function() {
		return this.arr.length <= 0;
	};
	/**
	 * 全部清空
	 */
	this.removeAll = function() {
		this.arr = [];
	};
}

// 对Date的扩展，将 Date 转化为指定格式的String
// 月(M)、日(d)、小时(h)、分(m)、秒(s)、季度(q) 可以用 1-2 个占位符，
// 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
// 例子：
// (new Date()).Format("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
// (new Date()).Format("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
Date.prototype.Format = function(fmt) { // author: meizz
	var o = {
		"M+" : this.getMonth() + 1, // 月份
		"d+" : this.getDate(), // 日
		"h+" : this.getHours(), // 小时
		"m+" : this.getMinutes(), // 分
		"s+" : this.getSeconds(), // 秒
		"q+" : Math.floor((this.getMonth() + 3) / 3), // 季度
		"S" : this.getMilliseconds()
	// 毫秒
	};
	if (/(y+)/.test(fmt))
		fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
	for ( var k in o) {
		if (new RegExp("(" + k + ")").test(fmt)) {
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
		}
	}
	return fmt;
};

/**
 * 给指定日期增加指定天数
 * 
 * @param date
 * @param days
 * @returns {Date}
 */
function addDate(date, days) {
	if (days == undefined || days == '') {
		days = 1;
	}
	var date = new Date(date);
	date.setDate(date.getDate() + days);
	return date;
}

function goHqbHome() {
	for (var i = 1; i < mainView.history.length; i++) {
		mainView.history.pop();
	}
	mainView.reloadPage('/func_mfund/goFuncMFundIndex.htm');
}

function jumpToUrl(openType, url) {
	if (openType == '_self') {
		mainView.loadPage(url);
	} else {
		console.log(url);
	}
}

function GSLoadPage(url, param, reloadPage) {
	if (url.indexOf(SERVICE_DOMAIN_URL) == -1) {
		url = SERVICE_DOMAIN_URL + url;
	}
	url = url + (url.indexOf('?') != -1 ? '&' : '?') + 'vt=' + new Date().getTime();
	$$.ajax({
		url : url,
		type : 'post',
		data : param,
		timeout : 60000,
		success : function(data) {
			if (data == 'no login') {
				APP_params.loginAfterCallBack = function() {
					GSLoadPage(url, param, reloadPage);
				};
				doLogin();
			} else {
				if (reloadPage) {
					mainView.reloadContent(data);
				} else {
					mainView.loadContent(data);
				}
			}
		},
		error : timeOutFn,
		complete : function() {
			App.hideIndicator();
			App.hidePreloader();
		}

	});
}// 12.js全部替换
String.prototype.replaceAll = function(s1, s2) {
	return this.replace(new RegExp(s1, "gm"), s2);
};

var urlEncode = function (param, key, encode) {
    if(param==null) return '';
    var paramStr = '';
    var t = typeof (param);
    if (t == 'string' || t == 'number' || t == 'boolean') {
        paramStr += '&' + key + '=' + ((encode==null||encode) ? encodeURIComponent(param) : param);
    } else {
        for (var i in param) {
            var k = key == null ? i : key + (param instanceof Array ? '[' + i + ']' : '.' + i);
            paramStr += urlEncode(param[i], k, encode);
        }
    }
    return paramStr;
};