define("echarts/chart/line", ["require", "./base", "zrender/shape/Polyline", "../util/shape/Icon", "../util/shape/HalfSmoothPolygon", "../component/axis", "../component/grid", "../component/dataZoom", "../config", "../util/ecData", "zrender/tool/util", "zrender/tool/color", "../chart"], function (t) {
  function e(t, e, i, n, r) {
    o.call(this, t, e, i, n, r), this.refresh(n)
  }

  function i(t, e, i) {
    var o = e.x, n = e.y, s = e.width, a = e.height, h = a / 2;
    e.symbol.match("empty") && (t.fillStyle = "#fff"), e.brushType = "both";
    var l = e.symbol.replace("empty", "").toLowerCase();
    l.match("star") ? (h = l.replace("star", "") - 0 || 5, n -= 1, l = "star") : ("rectangle" === l || "arrow" === l) && (o += (s - a) / 2, s = a);
    var c = "";
    if (l.match("image") && (c = l.replace(new RegExp("^image:\\/\\/"), ""), l = "image", o += Math.round((s - a) / 2) - 1, s = a += 2), l = r.prototype.iconLibrary[l]) {
      var d = e.x, u = e.y;
      t.moveTo(d, u + h), t.lineTo(d + 5, u + h), t.moveTo(d + e.width - 5, u + h), t.lineTo(d + e.width, u + h);
      var p = this;
      l(t, {x: o + 4, y: n + 4, width: s - 8, height: a - 8, n: h, image: c}, function () {
        p.modSelf(), i()
      })
    } else t.moveTo(o, n + h), t.lineTo(o + s, n + h)
  }

  var o = t("./base"), n = t("zrender/shape/Polyline"), r = t("../util/shape/Icon"), s = t("../util/shape/HalfSmoothPolygon");
  t("../component/axis"), t("../component/grid"), t("../component/dataZoom");
  var a  = t("../config");
  a.line = {
    zlevel: 0,
    z: 2,
    clickable: !0,
    legendHoverLink: !0,
    xAxisIndex: 0,
    yAxisIndex: 0,
    dataFilter: "nearest",
    itemStyle: {
      normal: {
        label: {show: !1},
        lineStyle: {
          width: 2,
          type: "solid",
          shadowColor: "rgba(0,0,0,0)",
          shadowBlur: 0,
          shadowOffsetX: 0,
          shadowOffsetY: 0
        }
      }, emphasis: {label: {show: !1}}
    },
    symbolSize: 2,
    showAllSymbol: !1
  };
  var h  = t("../util/ecData"), l = t("zrender/tool/util"), c = t("zrender/tool/color");
  return e.prototype = {
    type: a.CHART_TYPE_LINE, _buildShape: function () {
      this.finalPLMap = {}, this._buildPosition()
    }, _buildHorizontal: function (t, e, i, o) {
      for (var n, r, s, a, h, l, c, d, u, p = this.series, f = i[0][0], g = p[f], m = this.component.xAxis.getAxis(g.xAxisIndex || 0), _ = {}, y = 0, v = e; v > y && null != m.getNameByIndex(y); y++) {
        r = m.getCoordByIndex(y);
        for (var x = 0, b = i.length; b > x; x++) {
          n = this.component.yAxis.getAxis(p[i[x][0]].yAxisIndex || 0), h = a = c = l = n.getCoord(0);
          for (var T = 0, S = i[x].length; S > T; T++)f = i[x][T], g = p[f], d = g.data[y], u = this.getDataFromOption(d, "-"), _[f] = _[f] || [], o[f] = o[f] || {
              min: Number.POSITIVE_INFINITY,
              max: Number.NEGATIVE_INFINITY,
              sum: 0,
              counter: 0,
              average: 0
            }, "-" !== u ? (u >= 0 ? (a -= T > 0 ? n.getCoordSize(u) : h - n.getCoord(u), s = a) : 0 > u && (l += T > 0 ? n.getCoordSize(u) : n.getCoord(u) - c, s = l), _[f].push([r, s, y, m.getNameByIndex(y), r, h]), o[f].min > u && (o[f].min = u, o[f].minY = s, o[f].minX = r), o[f].max < u && (o[f].max = u, o[f].maxY = s, o[f].maxX = r), o[f].sum += u, o[f].counter++) : _[f].length > 0 && (this.finalPLMap[f] = this.finalPLMap[f] || [], this.finalPLMap[f].push(_[f]), _[f] = [])
        }
        a = this.component.grid.getY();
        for (var z, x = 0, b = i.length; b > x; x++)for (var T = 0, S = i[x].length; S > T; T++)f = i[x][T], g = p[f], d = g.data[y], u = this.getDataFromOption(d, "-"), "-" == u && this.deepQuery([d, g, this.option], "calculable") && (z = this.deepQuery([d, g], "symbolSize"), a += 2 * z + 5, s = a, this.shapeList.push(this._getCalculableItem(f, y, m.getNameByIndex(y), r, s, "horizontal")))
      }
      for (var C in _)_[C].length > 0 && (this.finalPLMap[C] = this.finalPLMap[C] || [], this.finalPLMap[C].push(_[C]), _[C] = []);
      this._calculMarkMapXY(o, i, "y"), this._buildBorkenLine(t, this.finalPLMap, m, "horizontal")
    }, _buildVertical: function (t, e, i, o) {
      for (var n, r, s, a, h, l, c, d, u, p = this.series, f = i[0][0], g = p[f], m = this.component.yAxis.getAxis(g.yAxisIndex || 0), _ = {}, y = 0, v = e; v > y && null != m.getNameByIndex(y); y++) {
        s = m.getCoordByIndex(y);
        for (var x = 0, b = i.length; b > x; x++) {
          n = this.component.xAxis.getAxis(p[i[x][0]].xAxisIndex || 0), h = a = c = l = n.getCoord(0);
          for (var T = 0, S = i[x].length; S > T; T++)f = i[x][T], g = p[f], d = g.data[y], u = this.getDataFromOption(d, "-"), _[f] = _[f] || [], o[f] = o[f] || {
              min: Number.POSITIVE_INFINITY,
              max: Number.NEGATIVE_INFINITY,
              sum: 0,
              counter: 0,
              average: 0
            }, "-" !== u ? (u >= 0 ? (a += T > 0 ? n.getCoordSize(u) : n.getCoord(u) - h, r = a) : 0 > u && (l -= T > 0 ? n.getCoordSize(u) : c - n.getCoord(u), r = l), _[f].push([r, s, y, m.getNameByIndex(y), h, s]), o[f].min > u && (o[f].min = u, o[f].minX = r, o[f].minY = s), o[f].max < u && (o[f].max = u, o[f].maxX = r, o[f].maxY = s), o[f].sum += u, o[f].counter++) : _[f].length > 0 && (this.finalPLMap[f] = this.finalPLMap[f] || [], this.finalPLMap[f].push(_[f]), _[f] = [])
        }
        a = this.component.grid.getXend();
        for (var z, x = 0, b = i.length; b > x; x++)for (var T = 0, S = i[x].length; S > T; T++)f = i[x][T], g = p[f], d = g.data[y], u = this.getDataFromOption(d, "-"), "-" == u && this.deepQuery([d, g, this.option], "calculable") && (z = this.deepQuery([d, g], "symbolSize"), a -= 2 * z + 5, r = a, this.shapeList.push(this._getCalculableItem(f, y, m.getNameByIndex(y), r, s, "vertical")))
      }
      for (var C in _)_[C].length > 0 && (this.finalPLMap[C] = this.finalPLMap[C] || [], this.finalPLMap[C].push(_[C]), _[C] = []);
      this._calculMarkMapXY(o, i, "x"), this._buildBorkenLine(t, this.finalPLMap, m, "vertical")
    }, _buildOther: function (t, e, i, o) {
      for (var n, r = this.series, s = {}, a = 0, h = i.length; h > a; a++)for (var l = 0, c = i[a].length; c > l; l++) {
        var d = i[a][l], u = r[d];
        n     = this.component.xAxis.getAxis(u.xAxisIndex || 0);
        var p = this.component.yAxis.getAxis(u.yAxisIndex || 0), f = p.getCoord(0);
        s[d] = s[d] || [], o[d] = o[d] || {
            min0: Number.POSITIVE_INFINITY,
            min1: Number.POSITIVE_INFINITY,
            max0: Number.NEGATIVE_INFINITY,
            max1: Number.NEGATIVE_INFINITY,
            sum0: 0,
            sum1: 0,
            counter0: 0,
            counter1: 0,
            average0: 0,
            average1: 0
          };
        for (var g = 0, m = u.data.length; m > g; g++) {
          var _ = u.data[g], y = this.getDataFromOption(_, "-");
          if (y instanceof Array) {
            var v = n.getCoord(y[0]), x = p.getCoord(y[1]);
            s[d].push([v, x, g, y[0], v, f]), o[d].min0 > y[0] && (o[d].min0 = y[0], o[d].minY0 = x, o[d].minX0 = v), o[d].max0 < y[0] && (o[d].max0 = y[0], o[d].maxY0 = x, o[d].maxX0 = v), o[d].sum0 += y[0], o[d].counter0++, o[d].min1 > y[1] && (o[d].min1 = y[1], o[d].minY1 = x, o[d].minX1 = v), o[d].max1 < y[1] && (o[d].max1 = y[1], o[d].maxY1 = x, o[d].maxX1 = v), o[d].sum1 += y[1], o[d].counter1++
          }
        }
      }
      for (var b in s)s[b].length > 0 && (this.finalPLMap[b] = this.finalPLMap[b] || [], this.finalPLMap[b].push(s[b]), s[b] = []);
      this._calculMarkMapXY(o, i, "xy"), this._buildBorkenLine(t, this.finalPLMap, n, "other")
    }, _buildBorkenLine: function (t, e, i, o) {
      for (var r, a = "other" == o ? "horizontal" : o, d = this.series, u = t.length - 1; u >= 0; u--) {
        var p = t[u], f = d[p], g = e[p];
        if (f.type === this.type && null != g)for (var m = this._getBbox(p, a), _ = this._sIndex2ColorMap[p], y = this.query(f, "itemStyle.normal.lineStyle.width"), v = this.query(f, "itemStyle.normal.lineStyle.type"), x = this.query(f, "itemStyle.normal.lineStyle.color"), b = this.getItemStyleColor(this.query(f, "itemStyle.normal.color"), p, -1), T = null != this.query(f, "itemStyle.normal.areaStyle"), S = this.query(f, "itemStyle.normal.areaStyle.color"), z = 0, C = g.length; C > z; z++) {
          var E = g[z], w = "other" != o && this._isLarge(a, E);
          if (w)E = this._getLargePointList(a, E, f.dataFilter); else for (var L = 0, A = E.length; A > L; L++)r = f.data[E[L][2]], (this.deepQuery([r, f, this.option], "calculable") || this.deepQuery([r, f], "showAllSymbol") || "categoryAxis" === i.type && i.isMainAxis(E[L][2]) && "none" != this.deepQuery([r, f], "symbol")) && this.shapeList.push(this._getSymbol(p, E[L][2], E[L][3], E[L][0], E[L][1], a));
          var M = new n({
            zlevel: this.getZlevelBase(),
            z: this.getZBase(),
            style: {
              miterLimit: y,
              pointList: E,
              strokeColor: x || b || _,
              lineWidth: y,
              lineType: v,
              smooth: this._getSmooth(f.smooth),
              smoothConstraint: m,
              shadowColor: this.query(f, "itemStyle.normal.lineStyle.shadowColor"),
              shadowBlur: this.query(f, "itemStyle.normal.lineStyle.shadowBlur"),
              shadowOffsetX: this.query(f, "itemStyle.normal.lineStyle.shadowOffsetX"),
              shadowOffsetY: this.query(f, "itemStyle.normal.lineStyle.shadowOffsetY")
            },
            hoverable: !1,
            _main: !0,
            _seriesIndex: p,
            _orient: a
          });
          if (h.pack(M, d[p], p, 0, z, d[p].name), this.shapeList.push(M), T) {
            var k = new s({
              zlevel: this.getZlevelBase(),
              z: this.getZBase(),
              style: {
                miterLimit: y,
                pointList: l.clone(E).concat([[E[E.length - 1][4], E[E.length - 1][5]], [E[0][4], E[0][5]]]),
                brushType: "fill",
                smooth: this._getSmooth(f.smooth),
                smoothConstraint: m,
                color: S ? S : c.alpha(_, .5)
              },
              highlightStyle: {brushType: "fill"},
              hoverable: !1,
              _main: !0,
              _seriesIndex: p,
              _orient: a
            });
            h.pack(k, d[p], p, 0, z, d[p].name), this.shapeList.push(k)
          }
        }
      }
    }, _getBbox: function (t, e) {
      var i = this.component.grid.getBbox(), o = this.xMarkMap[t];
      return null != o.minX0 ? [[Math.min(o.minX0, o.maxX0, o.minX1, o.maxX1), Math.min(o.minY0, o.maxY0, o.minY1, o.maxY1)], [Math.max(o.minX0, o.maxX0, o.minX1, o.maxX1), Math.max(o.minY0, o.maxY0, o.minY1, o.maxY1)]] : ("horizontal" === e ? (i[0][1] = Math.min(o.minY, o.maxY), i[1][1] = Math.max(o.minY, o.maxY)) : (i[0][0] = Math.min(o.minX, o.maxX), i[1][0] = Math.max(o.minX, o.maxX)), i)
    }, _isLarge: function (t, e) {
      return e.length < 2 ? !1 : "horizontal" === t ? Math.abs(e[0][0] - e[1][0]) < .5 : Math.abs(e[0][1] - e[1][1]) < .5
    }, _getLargePointList: function (t, e, i) {
      var o;
      o     = "horizontal" === t ? this.component.grid.getWidth() : this.component.grid.getHeight();
      var n = e.length, r = [];
      if ("function" != typeof i)switch (i) {
        case"min":
          i = function (t) {
            return Math.max.apply(null, t)
          };
          break;
        case"max":
          i = function (t) {
            return Math.min.apply(null, t)
          };
          break;
        case"average":
          i = function (t) {
            for (var e = 0, i = 0; i < t.length; i++)e += t[i];
            return e / t.length
          };
          break;
        default:
          i = function (t) {
            return t[0]
          }
      }
      for (var s = [], a = 0; o > a; a++) {
        var h = Math.floor(n / o * a), l = Math.min(Math.floor(n / o * (a + 1)), n);
        if (!(h >= l)) {
          for (var c = h; l > c; c++)s[c - h] = "horizontal" === t ? e[c][1] : e[c][0];
          s.length = l - h;
          for (var d = i(s), u = -1, p = 1 / 0, c = h; l > c; c++) {
            var f = "horizontal" === t ? e[c][1] : e[c][0], g = Math.abs(f - d);
            p > g && (u = c, p = g)
          }
          var m = e[u].slice();
          "horizontal" === t ? m[1] = d : m[0] = d, r.push(m)
        }
      }
      return r
    }, _getSmooth: function (t) {
      return t ? .3 : 0
    }, _getCalculableItem: function (t, e, i, o, n, r) {
      var s = this.series, h = s[t].calculableHolderColor || this.ecTheme.calculableHolderColor || a.calculableHolderColor, l = this._getSymbol(t, e, i, o, n, r);
      return l.style.color = h, l.style.strokeColor = h, l.rotation = [0, 0], l.hoverable = !1, l.draggable = !1, l.style.text = void 0, l
    }, _getSymbol: function (t, e, i, o, n, r) {
      var s = this.series, a = s[t], h = a.data[e], l = this.getSymbolShape(a, t, h, e, i, o, n, this._sIndex2ShapeMap[t], this._sIndex2ColorMap[t], "#fff", "vertical" === r ? "horizontal" : "vertical");
      return l.zlevel = this.getZlevelBase(), l.z = this.getZBase() + 1, this.deepQuery([h, a, this.option], "calculable") && (this.setCalculable(l), l.draggable = !0), l
    }, getMarkCoord: function (t, e) {
      var i = this.series[t], o = this.xMarkMap[t], n = this.component.xAxis.getAxis(i.xAxisIndex), r = this.component.yAxis.getAxis(i.yAxisIndex);
      if (e.type && ("max" === e.type || "min" === e.type || "average" === e.type)) {
        var s = null != e.valueIndex ? e.valueIndex : null != o.maxX0 ? "1" : "";
        return [o[e.type + "X" + s], o[e.type + "Y" + s], o[e.type + "Line" + s], o[e.type + s]]
      }
      return ["string" != typeof e.xAxis && n.getCoordByIndex ? n.getCoordByIndex(e.xAxis || 0) : n.getCoord(e.xAxis || 0), "string" != typeof e.yAxis && r.getCoordByIndex ? r.getCoordByIndex(e.yAxis || 0) : r.getCoord(e.yAxis || 0)]
    }, refresh: function (t) {
      t && (this.option = t, this.series = t.series), this.backupShapeList(), this._buildShape()
    }, ontooltipHover: function (t, e) {
      for (var i, o, n = t.seriesIndex, r = t.dataIndex, s = n.length; s--;)if (i = this.finalPLMap[n[s]])for (var a = 0, h = i.length; h > a; a++) {
        o = i[a];
        for (var l = 0, c = o.length; c > l; l++)r === o[l][2] && e.push(this._getSymbol(n[s], o[l][2], o[l][3], o[l][0], o[l][1], "horizontal"))
      }
    }, addDataAnimation: function (t, e) {
      function i() {
        g--, 0 === g && e && e()
      }

      function o(t) {
        t.style.controlPointList = null
      }

      for (var n = this.series, r = {}, s = 0, a = t.length; a > s; s++)r[t[s][0]] = t[s];
      for (var h, l, c, d, u, p, f, g = 0, s = this.shapeList.length - 1; s >= 0; s--)if (u = this.shapeList[s]._seriesIndex, r[u] && !r[u][3]) {
        if (this.shapeList[s]._main && this.shapeList[s].style.pointList.length > 1) {
          if (p = this.shapeList[s].style.pointList, l = Math.abs(p[0][0] - p[1][0]), d = Math.abs(p[0][1] - p[1][1]), f = "horizontal" === this.shapeList[s]._orient, r[u][2]) {
            if ("half-smooth-polygon" === this.shapeList[s].type) {
              var m = p.length;
              this.shapeList[s].style.pointList[m - 3] = p[m - 2], this.shapeList[s].style.pointList[m - 3][f ? 0 : 1] = p[m - 4][f ? 0 : 1], this.shapeList[s].style.pointList[m - 2] = p[m - 1]
            }
            this.shapeList[s].style.pointList.pop(), f ? (h = l, c = 0) : (h = 0, c = -d)
          } else {
            if (this.shapeList[s].style.pointList.shift(), "half-smooth-polygon" === this.shapeList[s].type) {
              var _ = this.shapeList[s].style.pointList.pop();
              f ? _[0] = p[0][0] : _[1] = p[0][1], this.shapeList[s].style.pointList.push(_)
            }
            f ? (h = -l, c = 0) : (h = 0, c = d)
          }
          this.shapeList[s].style.controlPointList = null, this.zr.modShape(this.shapeList[s])
        } else {
          if (r[u][2] && this.shapeList[s]._dataIndex === n[u].data.length - 1) {
            this.zr.delShape(this.shapeList[s].id);
            continue
          }
          if (!r[u][2] && 0 === this.shapeList[s]._dataIndex) {
            this.zr.delShape(this.shapeList[s].id);
            continue
          }
        }
        this.shapeList[s].position = [0, 0], g++, this.zr.animate(this.shapeList[s].id, "").when(this.query(this.option, "animationDurationUpdate"), {position: [h, c]}).during(o).done(i).start()
      }
      g || i()
    }
  }, r.prototype.iconLibrary.legendLineIcon = i, l.inherits(e, o), t("../chart").define("line", e), e
});
