define([],function() {
	//开通资管产品
	function openAssetAccount(parameter) {
//		parameter.companyCode;
//		parameter.company;
//		parameter.callbackFunction;
		var APP_bizUnitId = "2301";

		App.showPreloader();
			var url = SERVICE_DOMAIN_URL + '/assetSign.do?rnd=' + new Date().getTime();
			$$.ajax({
				url : url,
				method : 'GET',
				timeout:15000,
				data : {
					"fundCode" : parameter.companyCode,
					"company":parameter.company
				},
				success : function(data) {
					data = JSON.parse(data);
					if (data.errorNo === 1) {
						App.hidePreloader();
						App.alert(
							"您的风险评测等级不匹配，需签署风险级别不匹配协议",
						function() {
							getAgreementsForFundCode(APP_bizUnitId,parameter.companyCode,openAssetAccountSing(parameter),true);
						});
					} else if (data.errorNo === 3) {
						App.hidePreloader();
						App.confirm(
							"您还未开通电子签名约定书或查询电子签名约定书失败，点击确定签署",
							function() {
								openAssetProtocal({callbackFunction:function(parameter){return function(){openAssetAccount(parameter);};}(parameter)});
							});
					} else if (data.errorNo === 2) {
						App.hidePreloader();
					// 做过风险评测 监测风险评测等级是否匹配
					   App.alert("您还没有进行风险测评，请到掌厅进行风险测评");
					} else if (data.errorNo === 0) {
						App.hidePreloader();
						parameter.callbackFunction();
//						getAgreementsForFundCode(APP_bizUnitId,parameter.companyCode,openAssetAccountSing(parameter),true);
					} else if (data.errorNo === 4) {
						App.hidePreloader();
						App.confirm(
							"您还未开通基金,点确定开通",
							function() {
								openFundAccount({companyCode:parameter.company,callbackFunction:function(parameter){return function(){openAssetAccount(parameter);};}(parameter)});
							});

					} else if (data.errorNo === 5) {
						App.hidePreloader();
						App.confirm(
								"您还未开通otc，点击确定开通",
								function() {
									openOTC({callbackFunction:function(parameter){return function(){openAssetAccount(parameter);};}(parameter)});
								});
					}else if(data.errorNo === 6){
						App.hidePreloader();
						App.alert(data.errorInfo);
					}else{
						App.hidePreloader();
						App.alert(data.errorInfo);
					}
				},
				error : function() {
					App.hidePreloader();
					App.alert(MESSAGE_TIMEOUT);
				},
				timeout : function() {
					App.hidePreloader();
					App.alert(MESSAGE_TIMEOUT);
				}
			});
	}

    function openAssetAccountSing(parameter){
    	return function(signParameter){
			signParameter.fund_company=parameter.company;
			signParameter.fund_code=parameter.companyCode;
			signParameter.bizId=23;
			App.showPreloader();
    		$$.ajax({
    			url:SERVICE_DOMAIN_URL + "/assetProductSign.do?rnd=" + new Date().getTime(),
    			method:"GET",
    			timeout:15000,
    			data:signParameter,
    			success:function(data){
    				data = JSON.parse(data);
    				console.log(data);
    				if(data.errorNo === 0){
    					App.hidePreloader();
    					parameter.callbackFunction();
    				}else{
    					App.hidePreloader();
    					App.alert(data.errorInfo);
    				}
    			},error: function(){
                	App.hidePreloader();
    				App.alert(MESSAGE_TIMEOUT);
    	   		},
    	   		timeout: function(){
    	   			App.hidePreloader();
    	   			App.alert(MESSAGE_TIMEOUT);
    	   		}
    		});
    	};
	}
	//开通电子签名
    function openAssetProtocal(parameter){
    	getAgreements("2201",openAssetProtocalSign(parameter),true);
    }
    
    function openAssetProtocalSign(parameter){
    	return function(signParameter){
    	var url = SERVICE_DOMAIN_URL + '/signAssetProtocal.do?rnd=' + new Date().getTime();
		$$.ajax({
			url: url,
			method: 'POST',
			timeout:15000,
			data: signParameter,
			success: function (data) {
				data = JSON.parse(data);
				console.log(data);
				App.hidePreloader();
				if (data.errorNo === 0) {
					parameter.callbackFunction();
				}else{
					App.alert(data.errorInfo);
				}
			},
			error: function(){
            	App.hidePreloader();
				App.alert(MESSAGE_TIMEOUT);
	   		},
	   		timeout: function(){
	   			App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		}
		});
    };
   }
    //开通基金账户
    function openFundAccount(parameter){
		App.showPreloader();
		$$.ajax({
			url: SERVICE_DOMAIN_URL + '/initFund.do?rnd=' + new Date().getTime(),
			method: 'POST',
			timeout:15000,
			success: function (data) {
				data = JSON.parse(data);
				console.log(data);
	   			App.hidePreloader();
		       	if(data.errorNo == 0&&data.hasFundAccount*1>0){
		       		parameter.firstOpen=0;
		       		openFundAccountSign(parameter)({});
		     	}else{
		       		parameter.firstOpen=1;
		     		getAgreements("1301",openFundAccountSign(parameter),true);
		     	}
			},
			error: function(){
            	App.hidePreloader();
				App.alert(MESSAGE_TIMEOUT);
	   		},
	   		timeout: function(){
	   			App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		}
		});
    }
    
    function openFundAccountSign(parameter){
    	return function(signParameter){
			App.showPreloader();
    		var url = SERVICE_DOMAIN_URL + '/openFundAccount.do?rnd=' + new Date().getTime();
    		signParameter.fundCompanyCode=parameter.companyCode;
    		signParameter.firstOpen=parameter.firstOpen;
    		$$.ajax({
    			url: url,
    			method: 'POST',
    			timeout:15000,
    			data: signParameter,
    			success: function (data) {
    				data = JSON.parse(data);
    				console.log(data);
    				if (data.errorNo == '0') {
    					App.hidePreloader();
    					parameter.callbackFunction();
    				} else {
    					setTimeout(function(){
    						App.hidePreloader();
    						App.alert(data.errorInfo);
    					},1000);
    				}
    			},
    			error: function(){
    				App.hidePreloader();
    				App.alert(MESSAGE_TIMEOUT);
    			},
    			timeout: function(){
    				App.hidePreloader();
    				App.alert(MESSAGE_TIMEOUT);
    			}
    		});
    	};
    }
    //开通otc

	function openOTC(parameter){
		App.showPreloader();
		$$.ajax({
			url: SERVICE_DOMAIN_URL + 'otcJudgeOpenCondition.do?rnd='+ new Date().getTime(),
			type: 'POST',
			timeout:15000,
			success: function (data) {
				App.hidePreloader();
				data = JSON.parse(data);
				console.log(data);
				if (data.errorNo == 0) {
					getAgreements("1801",otcSubmitSign(parameter),true);
				}else if (data.errorNo == -2||data.errorNo == -100) {
					App.confirm(
							"您还未开通电子签名约定书或查询电子签名约定书失败，点击确定签署",
							function() {
								openAssetProtocal({callbackFunction:function(parameter){return function(){openOTC(parameter);};}(parameter)});
							});
				}else{
					App.alert("请您到掌厅重新进行风险测评");
				}
			},
			error: function() {
				App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		},
	   		timeout: function() {
	   			App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		}
		});
	}

	function otcSubmitSign(parameter){

    	return function(signParameter){
			App.showPreloader();
		$$.ajax({
			url: SERVICE_DOMAIN_URL + 'openOTCAccount.do?rnd='+ new Date().getTime(),
			type: 'POST',
			timeout:15000,
			data:signParameter,
			success: function (data) {
				data = JSON.parse(data);
				console.log(data);
				App.hidePreloader();
				if (data.errorNo === 0) {
					parameter.callbackFunction();
				}else{
					App.alert(data.errorInfo);
				}
			},
			error: function() {
				App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		},
	   		timeout: function() {
	   			App.hidePreloader();
	   			App.alert(MESSAGE_TIMEOUT);
	   		}
		});
    	};
	}
	return {
		openAssetAccount : openAssetAccount,
		openAssetProtocal : openAssetProtocal,
		openFundAccount : openFundAccount,
		openOTC : openOTC
	};
});
