define([], function() {
	var $CONFIG = null;
	init();

	function init() {
		/*
		 * if (!$CONFIG) { $CONFIG = {}; $CONFIG.currentUser = {}; if
		 * (localStorage.getItem('user')) { $CONFIG.currentUser =
		 * JSON.parse(localStorage.getItem('user')); } if
		 * (localStorage.getItem('sid')) { $CONFIG.currentUser.sid =
		 * localStorage.getItem('sid'); } }
		 */
	}

	function getCurrentUser() {
		return $CONFIG.currentUser;
	}

	function getSid() {
		var m = $$.parseUrlQuery(window.location.href || '');
		return m.sid || localStorage.getItem('sid');
	}

	function setCurrentUser(sid, user) {
		$CONFIG.currentUser = user;
		localStorage.setItem('user', JSON.stringify(user));
		localStorage.setItem('sid', sid);
	}

	function removeCurrentUser() {
		$CONFIG.currentUser = {};
		localStorage.removeItem('user');
		localStorage.removeItem('sid');
	}

	function logout() {
		App.confirm('您确定要退出登录吗？', function() {
			var currentPage = $$('.page-on-center').data('page');
			removeCurrentUser();
			App.closeModal();
			App.closePanel();
			if (currentPage === 'video') {
				clearTimeout(window.videoQueryTimer);
				console.log('quit video query successful');
			}
			mainView.loadPage(startPage);
		});
	}

	function checkUpdate() {
		App.modal({
			title : '当前版本',
			text : window.appParams.version,
			buttons : [ {
				text : '检测更新',
				onClick : function() {
					App.alert('您当前的版本已经是最新');
				}
			}, {
				text : '返回'
			} ]
		});
	}

	function getData(url, param, fn) {
		App.showIndicator();
		APP_params.login_from_type = "getData";
		APP_params.login_from_url = url;
		APP_params.login_from_param = param;
		APP_params.login_from_fn = fn;
		$$.ajax({
			url : url + '?rnd=' + new Date().getTime(),
			data : param,
			type : 'POST',
			timeout : 15000, // 超时时间设置，单位毫秒
			success : function(data) {
				if (data === 'no login') {
					// App.popup('.popup-login');
					// require(['controllers/loginController'],
					// function(controller) {
					// controller.init();
					// });
					appLogin();
				} else {
					data = JSON.parse(data);
					APP_params.login_from_fn(data);
				}
				App.hideIndicator();
			},
			error : function() {
				App.hideIndicator();
				App.alert("网络连接失败");
			},
			timeout : function() {
				App.hideIndicator();
				App.alert("网络连接失败");
			}
		});
	}

	function bLoadPage(url) {
		if(url.indexOf(SERVICE_DOMAIN_URL) == -1){
			url = SERVICE_DOMAIN_URL + url;
		}
		if (isLogin == 'true') {
			mainView.loadPage(url);
		} else {
			APP_params.login_from_url = url;
			localStorage.setItem("toUrl", url);
			doLogin();
		}
	}

	return {
		getSid : getSid,
		getCurrentUser : getCurrentUser,
		setCurrentUser : setCurrentUser,
		removeCurrentUser : removeCurrentUser,
		logout : logout,
		checkUpdate : checkUpdate,
		getData : getData,
		bLoadPage : bLoadPage
	};
});