define(['utils', 'hideToolbar'], function (Utils, toolbar) {

	// 加载页面相应模块script
	function render(params, templateId, contentId) {
		pagePadding(params, templateId, contentId);
	}
  
	//页面数据填充
	/**
	 * 页面填充
	 * params 数据
	 * templateId html页面模版id
	 * contentId 显示内容id
	 */
	function pagePadding(params, templateId, contentId) {
		// 列表无数据时显示暂无数据
		if(params.model.no_data){
			$$('.no-data').show();
		} else {
			$$('.no-data').hide();
		}
		
		var template = $$("#" + templateId).html();
		var compiledTemplate = Template7.compile(template);
		var renderTemplate = compiledTemplate(params.model);
		$$("#" + contentId).html(renderTemplate);
		Utils.bindEvents(params.bindings);
	}
  
  return {
    toolbar: toolbar.hideToolbar,
    render: render
  };
});